For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
WebsiteStatusSupportDashboard
DocumentationAPI ReferenceMCPSDKsCLI (new)What's New?
DocumentationAPI ReferenceMCPSDKsCLI (new)What's New?
  • Assistants
    • GETList Assistants
    • POSTCreate Assistant
    • GETGet Assistant
    • DELDelete Assistant
    • PATCHUpdate Assistant
  • Squads
    • GETList Squads
    • POSTCreate Squad
    • GETGet Squad
    • DELDelete Squad
    • PATCHUpdate Squad
  • Calls
    • GETList Calls
    • POSTCreate Call
    • GETGet Call
    • DELDelete Call
    • PATCHUpdate Call
  • Chats
    • GETList Chats
    • POSTCreate Chat
    • GETGet Chat
    • DELDelete Chat
    • POSTCreate Chat (OpenAI Compatible)
  • Campaigns
    • GETList Campaigns
    • POSTCreate Campaign
    • GETGet Campaign
    • DELDelete Campaign
    • PATCHUpdate Campaign
  • Sessions
    • GETList Sessions
    • POSTCreate Session
    • GETGet Session
    • DELDelete Session
    • PATCHUpdate Session
  • Phone Numbers
    • GETList Phone Numbers
    • POSTCreate Phone Number
    • GETList Phone Numbers
    • GETGet Phone Number
    • DELDelete Phone Number
    • PATCHUpdate Phone Number
  • Tools
    • GETList Tools
    • POSTCreate Tool
    • GETGet Tool
    • DELDelete Tool
    • PATCHUpdate Tool
  • Files
    • GETList Files
    • POSTUpload File
    • GETGet File
    • DELDelete File
    • PATCHUpdate File
  • Structured Outputs
    • GETList Structured Outputs
    • POSTCreate Structured Output
    • GETGet Structured Output
    • DELDelete Structured Output
    • PATCHUpdate Structured Output
    • POSTRun Structured Output
  • Insight
    • GETGet Insights
    • POSTCreate Insight
    • GETGet Insight
    • DELDelete Insight
    • PATCHUpdate Insight
    • POSTRun Insight
    • POSTPreview Insight
  • Eval
    • GETList Evals
    • POSTCreate Eval
    • GETGet Eval
    • DELDelete Eval
    • PATCHUpdate Eval
    • GETGet Eval Run
    • DELDelete Eval Run
    • GETList Eval Runs
    • POSTCreate Eval Run
  • Observability Scorecard
    • GETGet Scorecard
    • DELDelete Scorecard
    • PATCHUpdate Scorecard
    • GETList Scorecards
    • POSTCreate Scorecard
  • Provider Resources
    • GETList Provider Resources
    • POSTCreate Provider Resource
    • GETGet Provider Resource
    • DELDelete Provider Resource
    • PATCHUpdate Provider Resource
  • Analytics
    • POSTCreate Analytics Queries
  • Webhooks
    • POSTServer Message
    • POSTClient Message
    • Swagger
    • OpenAPI
LogoLogo
WebsiteStatusSupportDashboard
Calls

Create Call

POST
https://api.vapi.ai/call
POST
/call
$curl -X POST https://api.vapi.ai/call \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
201Created
1{
2 "type": "inboundPhoneCall",
3 "costs": [
4 {
5 "type": "transport",
6 "provider": "daily",
7 "minutes": 1.1,
8 "cost": 1.1
9 }
10 ],
11 "messages": [
12 {
13 "role": "string",
14 "message": "string",
15 "time": 1.1,
16 "endTime": 1.1,
17 "secondsFromStart": 1.1,
18 "duration": 1.1,
19 "isFiltered": true,
20 "detectedThreats": [
21 "string"
22 ],
23 "originalMessage": "string",
24 "metadata": {},
25 "speakerLabel": "string"
26 }
27 ],
28 "phoneCallProvider": "twilio",
29 "phoneCallTransport": "sip",
30 "status": "scheduled",
31 "endedReason": "call-start-error-neither-assistant-nor-server-set",
32 "endedMessage": "string",
33 "destination": {
34 "message": "string",
35 "type": "number",
36 "numberE164CheckEnabled": true,
37 "number": "string",
38 "extension": "string",
39 "callerId": "string",
40 "transferPlan": {
41 "mode": "blind-transfer",
42 "message": "string",
43 "timeout": 60,
44 "sipVerb": "refer",
45 "dialTimeout": 60,
46 "holdAudioUrl": "string",
47 "transferCompleteAudioUrl": "string",
48 "contextEngineeringPlan": {
49 "type": "lastNMessages",
50 "maxMessages": 1.1
51 },
52 "twiml": "string",
53 "summaryPlan": {
54 "messages": [
55 {}
56 ],
57 "enabled": true,
58 "timeoutSeconds": 1.1
59 },
60 "sipHeadersInReferToEnabled": true,
61 "fallbackPlan": {
62 "message": "string",
63 "endCallEnabled": true
64 }
65 },
66 "description": "string"
67 },
68 "id": "string",
69 "orgId": "string",
70 "createdAt": "2024-01-15T09:30:00Z",
71 "updatedAt": "2024-01-15T09:30:00Z",
72 "startedAt": "2024-01-15T09:30:00Z",
73 "endedAt": "2024-01-15T09:30:00Z",
74 "cost": 1.1,
75 "costBreakdown": {
76 "transport": 1.1,
77 "stt": 1.1,
78 "llm": 1.1,
79 "tts": 1.1,
80 "vapi": 1.1,
81 "chat": 1.1,
82 "total": 1.1,
83 "llmPromptTokens": 1.1,
84 "llmCompletionTokens": 1.1,
85 "llmCachedPromptTokens": 1.1,
86 "ttsCharacters": 1.1,
87 "analysisCostBreakdown": {
88 "summary": 1.1,
89 "summaryPromptTokens": 1.1,
90 "summaryCompletionTokens": 1.1,
91 "summaryCachedPromptTokens": 1.1,
92 "structuredData": 1.1,
93 "structuredDataPromptTokens": 1.1,
94 "structuredDataCompletionTokens": 1.1,
95 "structuredDataCachedPromptTokens": 1.1,
96 "successEvaluation": 1.1,
97 "successEvaluationPromptTokens": 1.1,
98 "successEvaluationCompletionTokens": 1.1,
99 "successEvaluationCachedPromptTokens": 1.1,
100 "structuredOutput": 1.1,
101 "structuredOutputPromptTokens": 1.1,
102 "structuredOutputCompletionTokens": 1.1,
103 "structuredOutputCachedPromptTokens": 1.1
104 }
105 },
106 "artifactPlan": {
107 "recordingEnabled": true,
108 "recordingFormat": "wav;l16",
109 "recordingUseCustomStorageEnabled": true,
110 "videoRecordingEnabled": false,
111 "fullMessageHistoryEnabled": false,
112 "pcapEnabled": true,
113 "pcapS3PathPrefix": "/pcaps",
114 "pcapUseCustomStorageEnabled": true,
115 "loggingEnabled": true,
116 "loggingUseCustomStorageEnabled": true,
117 "transcriptPlan": {
118 "enabled": true,
119 "assistantName": "string",
120 "userName": "string"
121 },
122 "recordingPath": "string",
123 "structuredOutputIds": [
124 "string"
125 ],
126 "structuredOutputs": [
127 {
128 "type": "ai",
129 "regex": "string",
130 "model": {
131 "provider": "openai",
132 "model": "gpt-5.4",
133 "temperature": 1.1,
134 "maxTokens": 5030
135 },
136 "compliancePlan": {
137 "forceStoreOnHipaaEnabled": false
138 },
139 "name": "string",
140 "schema": {
141 "type": "string",
142 "items": {},
143 "properties": {},
144 "description": "string",
145 "pattern": "string",
146 "format": "date-time",
147 "required": [
148 "string"
149 ],
150 "enum": [
151 "string"
152 ],
153 "title": "string"
154 },
155 "description": "string",
156 "assistantIds": [
157 "string"
158 ],
159 "workflowIds": [
160 "string"
161 ]
162 }
163 ],
164 "scorecardIds": [
165 "string"
166 ],
167 "scorecards": [
168 {
169 "name": "string",
170 "description": "string",
171 "metrics": [
172 {
173 "structuredOutputId": "string",
174 "conditions": [
175 {}
176 ]
177 }
178 ],
179 "assistantIds": [
180 "string"
181 ]
182 }
183 ],
184 "loggingPath": "string"
185 },
186 "analysis": {
187 "summary": "string",
188 "structuredData": {},
189 "structuredDataMulti": [
190 {}
191 ],
192 "successEvaluation": "string"
193 },
194 "monitor": {
195 "monitors": [
196 {
197 "monitorId": "string",
198 "filterPassed": true
199 }
200 ],
201 "listenUrl": "string",
202 "controlUrl": "string"
203 },
204 "artifact": {
205 "messages": [
206 {
207 "role": "string",
208 "message": "string",
209 "time": 1.1,
210 "endTime": 1.1,
211 "secondsFromStart": 1.1,
212 "duration": 1.1,
213 "isFiltered": true,
214 "detectedThreats": [
215 "string"
216 ],
217 "originalMessage": "string",
218 "metadata": {},
219 "speakerLabel": "string"
220 }
221 ],
222 "messagesOpenAIFormatted": [
223 {
224 "content": "string",
225 "role": "assistant"
226 }
227 ],
228 "recordingUrl": "string",
229 "stereoRecordingUrl": "string",
230 "videoRecordingUrl": "string",
231 "videoRecordingStartDelaySeconds": 1.1,
232 "recording": {
233 "stereoUrl": "string",
234 "videoUrl": "string",
235 "videoRecordingStartDelaySeconds": 1.1,
236 "mono": {
237 "combinedUrl": "string",
238 "assistantUrl": "string",
239 "customerUrl": "string"
240 }
241 },
242 "transcript": "string",
243 "pcapUrl": "string",
244 "logUrl": "string",
245 "nodes": [
246 {
247 "messages": [
248 {
249 "role": "string",
250 "message": "string",
251 "time": 1.1,
252 "endTime": 1.1,
253 "secondsFromStart": 1.1,
254 "duration": 1.1,
255 "isFiltered": true,
256 "detectedThreats": [
257 "string"
258 ],
259 "originalMessage": "string",
260 "metadata": {},
261 "speakerLabel": "string"
262 }
263 ],
264 "nodeName": "string",
265 "variableValues": {}
266 }
267 ],
268 "assistantActivations": [
269 {
270 "assistantName": "string",
271 "assistantId": "string"
272 }
273 ],
274 "variableValues": {},
275 "performanceMetrics": {
276 "turnLatencies": [
277 {
278 "modelLatency": 1.1,
279 "voiceLatency": 1.1,
280 "transcriberLatency": 1.1,
281 "endpointingLatency": 1.1,
282 "turnLatency": 1.1
283 }
284 ],
285 "modelLatencyAverage": 1.1,
286 "voiceLatencyAverage": 1.1,
287 "transcriberLatencyAverage": 1.1,
288 "endpointingLatencyAverage": 1.1,
289 "turnLatencyAverage": 1.1,
290 "fromTransportLatencyAverage": 1.1,
291 "toTransportLatencyAverage": 1.1,
292 "numUserInterrupted": 1.1,
293 "numAssistantInterrupted": 1.1
294 },
295 "structuredOutputs": {},
296 "scorecards": {},
297 "transfers": [
298 "string"
299 ],
300 "structuredOutputsLastUpdatedAt": "2024-01-15T09:30:00Z"
301 },
302 "compliance": {
303 "recordingConsent": {
304 "type": {},
305 "grantedAt": "2024-01-15T09:30:00Z"
306 }
307 },
308 "phoneCallProviderId": "string",
309 "campaignId": "string",
310 "assistantId": "string",
311 "assistant": {
312 "transcriber": {
313 "provider": "assembly-ai",
314 "language": "multi",
315 "confidenceThreshold": 0.4,
316 "formatTurns": true,
317 "endOfTurnConfidenceThreshold": 0.7,
318 "minEndOfTurnSilenceWhenConfident": 160,
319 "wordFinalizationMaxWaitTime": 160,
320 "maxTurnSilence": 400,
321 "vadAssistedEndpointingEnabled": true,
322 "speechModel": "universal-streaming-english",
323 "realtimeUrl": "string",
324 "wordBoost": [
325 "string"
326 ],
327 "keytermsPrompt": [
328 "string"
329 ],
330 "endUtteranceSilenceThreshold": 1.1,
331 "disablePartialTranscripts": true,
332 "fallbackPlan": {
333 "transcribers": [
334 {
335 "provider": "assembly-ai",
336 "language": "multi",
337 "confidenceThreshold": 0.4,
338 "formatTurns": true,
339 "endOfTurnConfidenceThreshold": 0.7,
340 "minEndOfTurnSilenceWhenConfident": 160,
341 "wordFinalizationMaxWaitTime": 160,
342 "maxTurnSilence": 400,
343 "vadAssistedEndpointingEnabled": true,
344 "speechModel": "universal-streaming-english",
345 "realtimeUrl": "string",
346 "wordBoost": [
347 "string"
348 ],
349 "keytermsPrompt": [
350 "string"
351 ],
352 "endUtteranceSilenceThreshold": 1.1,
353 "disablePartialTranscripts": true
354 }
355 ]
356 }
357 },
358 "model": {
359 "messages": [
360 {
361 "content": "string",
362 "role": "assistant"
363 }
364 ],
365 "tools": [
366 {
367 "messages": [
368 {
369 "contents": [
370 {
371 "type": "text",
372 "text": "string",
373 "language": "aa"
374 }
375 ],
376 "type": "request-start",
377 "blocking": false,
378 "content": "string",
379 "conditions": [
380 {
381 "operator": "eq",
382 "param": "string",
383 "value": "string"
384 }
385 ]
386 }
387 ],
388 "type": "apiRequest",
389 "method": "POST",
390 "timeoutSeconds": 20,
391 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
392 "encryptedPaths": [
393 "string"
394 ],
395 "parameters": [
396 {
397 "key": "string",
398 "value": {}
399 }
400 ],
401 "name": "string",
402 "description": "string",
403 "url": "string",
404 "body": {
405 "type": "string",
406 "items": {},
407 "properties": {},
408 "description": "string",
409 "pattern": "string",
410 "format": "date-time",
411 "required": [
412 "string"
413 ],
414 "enum": [
415 "string"
416 ],
417 "title": "string"
418 },
419 "headers": {
420 "type": "string",
421 "items": {},
422 "properties": {},
423 "description": "string",
424 "pattern": "string",
425 "format": "date-time",
426 "required": [
427 "string"
428 ],
429 "enum": [
430 "string"
431 ],
432 "title": "string"
433 },
434 "backoffPlan": {
435 "type": "fixed",
436 "maxRetries": 0,
437 "baseDelaySeconds": 1,
438 "excludedStatusCodes": [
439 400,
440 401,
441 403,
442 404
443 ]
444 },
445 "variableExtractionPlan": {
446 "schema": {
447 "type": "string",
448 "items": {},
449 "properties": {},
450 "description": "string",
451 "pattern": "string",
452 "format": "date-time",
453 "required": [
454 "string"
455 ],
456 "enum": [
457 "string"
458 ],
459 "title": "string"
460 },
461 "aliases": [
462 {
463 "key": "string",
464 "value": "string"
465 }
466 ]
467 },
468 "rejectionPlan": {
469 "conditions": [
470 {
471 "type": "regex",
472 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
473 }
474 ]
475 }
476 }
477 ],
478 "toolIds": [
479 "string"
480 ],
481 "knowledgeBase": {
482 "provider": "custom-knowledge-base",
483 "server": {
484 "timeoutSeconds": 20,
485 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
486 "staticIpAddressesEnabled": false,
487 "encryptedPaths": [
488 "string"
489 ],
490 "url": "string",
491 "headers": {},
492 "backoffPlan": {
493 "type": "fixed",
494 "maxRetries": 0,
495 "baseDelaySeconds": 1,
496 "excludedStatusCodes": [
497 400,
498 401,
499 403,
500 404
501 ]
502 }
503 }
504 },
505 "model": "claude-3-opus-20240229",
506 "provider": "anthropic",
507 "thinking": {
508 "type": "enabled",
509 "budgetTokens": 50500
510 },
511 "temperature": 1.1,
512 "maxTokens": 5030,
513 "emotionRecognitionEnabled": true,
514 "numFastTurns": 1.1
515 },
516 "voice": {
517 "cachingEnabled": true,
518 "provider": "azure",
519 "voiceId": "andrew",
520 "chunkPlan": {
521 "enabled": true,
522 "minCharacters": 30,
523 "punctuationBoundaries": "。",
524 "formatPlan": {
525 "enabled": true,
526 "numberToDigitsCutoff": 2025,
527 "replacements": [
528 {
529 "type": "exact",
530 "replaceAllEnabled": false,
531 "key": "string",
532 "value": "string"
533 }
534 ],
535 "formattersEnabled": "markdown"
536 }
537 },
538 "speed": 1.1,
539 "fallbackPlan": {
540 "voices": [
541 {
542 "cachingEnabled": true,
543 "provider": "azure",
544 "voiceId": "andrew",
545 "speed": 1.1,
546 "chunkPlan": {
547 "enabled": true,
548 "minCharacters": 30,
549 "punctuationBoundaries": "。",
550 "formatPlan": {}
551 },
552 "oneOf": null
553 }
554 ]
555 }
556 },
557 "firstMessage": "Hello! How can I help you today?",
558 "firstMessageInterruptionsEnabled": false,
559 "firstMessageMode": "assistant-speaks-first",
560 "voicemailDetection": "off",
561 "clientMessages": "conversation-update",
562 "serverMessages": "assistant.started",
563 "maxDurationSeconds": 600,
564 "backgroundSound": "off",
565 "modelOutputInMessagesEnabled": false,
566 "transportConfigurations": [
567 {
568 "provider": "twilio",
569 "timeout": 60,
570 "record": false,
571 "recordingChannels": "mono"
572 }
573 ],
574 "observabilityPlan": {
575 "provider": "langfuse",
576 "promptName": "string",
577 "promptVersion": 1.1,
578 "traceName": "string",
579 "tags": [
580 "string"
581 ],
582 "metadata": {}
583 },
584 "credentials": [
585 {
586 "provider": "anthropic",
587 "apiKey": "string",
588 "name": "string"
589 }
590 ],
591 "hooks": [
592 {
593 "on": "call.ending",
594 "do": [
595 {
596 "type": "tool",
597 "tool": {
598 "messages": [
599 {
600 "contents": [
601 {}
602 ],
603 "type": "request-start",
604 "blocking": false,
605 "content": "string",
606 "conditions": [
607 {
608 "operator": {},
609 "param": {},
610 "value": {}
611 }
612 ]
613 }
614 ],
615 "type": "apiRequest",
616 "method": "POST",
617 "timeoutSeconds": 20,
618 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
619 "encryptedPaths": [
620 "string"
621 ],
622 "parameters": [
623 {
624 "key": "string",
625 "value": {}
626 }
627 ],
628 "name": "string",
629 "description": "string",
630 "url": "string",
631 "body": {
632 "type": "string",
633 "items": {},
634 "properties": {},
635 "description": "string",
636 "pattern": "string",
637 "format": "date-time",
638 "required": [
639 "string"
640 ],
641 "enum": [
642 "string"
643 ],
644 "title": "string"
645 },
646 "headers": {
647 "type": "string",
648 "items": {},
649 "properties": {},
650 "description": "string",
651 "pattern": "string",
652 "format": "date-time",
653 "required": [
654 "string"
655 ],
656 "enum": [
657 "string"
658 ],
659 "title": "string"
660 },
661 "backoffPlan": {
662 "type": "fixed",
663 "maxRetries": 0,
664 "baseDelaySeconds": 1,
665 "excludedStatusCodes": [
666 400,
667 401,
668 403,
669 404
670 ]
671 },
672 "variableExtractionPlan": {
673 "schema": {},
674 "aliases": [
675 {
676 "key": {},
677 "value": {}
678 }
679 ]
680 },
681 "rejectionPlan": {
682 "conditions": [
683 "[{ type: \"regex\", regex: \"(?i)\\\\b(cancel|stop)\\\\b\", target: { role: \"user\" } }]"
684 ]
685 }
686 },
687 "toolId": "string"
688 }
689 ],
690 "filters": [
691 {
692 "type": "oneOf",
693 "key": "string",
694 "oneOf": [
695 "string"
696 ]
697 }
698 ]
699 }
700 ],
701 "name": "string",
702 "voicemailMessage": "string",
703 "endCallMessage": "string",
704 "endCallPhrases": [
705 "string"
706 ],
707 "compliancePlan": {
708 "hipaaEnabled": true,
709 "pciEnabled": {
710 "pciEnabled": false
711 },
712 "securityFilterPlan": {
713 "enabled": false,
714 "filters": [
715 {}
716 ],
717 "mode": "sanitize",
718 "replacementText": "[FILTERED]"
719 },
720 "recordingConsentPlan": {
721 "message": "For quality purposes, this call may be recorded. Please stay on the line if you agree or end the call if you do not consent.",
722 "voice": {
723 "cachingEnabled": true,
724 "provider": "azure",
725 "voiceId": "andrew",
726 "chunkPlan": {
727 "enabled": true,
728 "minCharacters": 30,
729 "punctuationBoundaries": "。",
730 "formatPlan": {
731 "enabled": true,
732 "numberToDigitsCutoff": 2025,
733 "replacements": {},
734 "formattersEnabled": {}
735 }
736 },
737 "speed": 1.1,
738 "fallbackPlan": {
739 "voices": [
740 {
741 "cachingEnabled": true,
742 "provider": {},
743 "voiceId": {},
744 "speed": {},
745 "chunkPlan": {},
746 "oneOf": {}
747 }
748 ]
749 }
750 },
751 "type": "stay-on-line",
752 "waitSeconds": 3
753 }
754 },
755 "metadata": {},
756 "backgroundSpeechDenoisingPlan": {
757 "smartDenoisingPlan": {
758 "enabled": true
759 },
760 "fourierDenoisingPlan": {
761 "enabled": false,
762 "mediaDetectionEnabled": true,
763 "staticThreshold": -35,
764 "baselineOffsetDb": -15,
765 "windowSizeMs": 3000,
766 "baselinePercentile": 85
767 }
768 },
769 "analysisPlan": {
770 "minMessagesThreshold": 1.1,
771 "summaryPlan": {
772 "messages": [
773 {}
774 ],
775 "enabled": true,
776 "timeoutSeconds": 1.1
777 },
778 "structuredDataPlan": {
779 "messages": [
780 {}
781 ],
782 "enabled": true,
783 "schema": {
784 "type": "string",
785 "items": {},
786 "properties": {},
787 "description": "string",
788 "pattern": "string",
789 "format": "date-time",
790 "required": [
791 "string"
792 ],
793 "enum": [
794 "string"
795 ],
796 "title": "string"
797 },
798 "timeoutSeconds": 1.1
799 },
800 "structuredDataMultiPlan": [
801 {
802 "key": "string",
803 "plan": {
804 "messages": [
805 {}
806 ],
807 "enabled": true,
808 "schema": {
809 "type": "string",
810 "items": {},
811 "properties": {},
812 "description": "string",
813 "pattern": "string",
814 "format": "date-time",
815 "required": [
816 "string"
817 ],
818 "enum": [
819 "string"
820 ],
821 "title": "string"
822 },
823 "timeoutSeconds": 1.1
824 }
825 }
826 ],
827 "successEvaluationPlan": {
828 "rubric": "NumericScale",
829 "messages": [
830 {}
831 ],
832 "enabled": true,
833 "timeoutSeconds": 1.1
834 },
835 "outcomeIds": [
836 "string"
837 ]
838 },
839 "artifactPlan": {
840 "recordingEnabled": true,
841 "recordingFormat": "wav;l16",
842 "recordingUseCustomStorageEnabled": true,
843 "videoRecordingEnabled": false,
844 "fullMessageHistoryEnabled": false,
845 "pcapEnabled": true,
846 "pcapS3PathPrefix": "/pcaps",
847 "pcapUseCustomStorageEnabled": true,
848 "loggingEnabled": true,
849 "loggingUseCustomStorageEnabled": true,
850 "transcriptPlan": {
851 "enabled": true,
852 "assistantName": "string",
853 "userName": "string"
854 },
855 "recordingPath": "string",
856 "structuredOutputIds": [
857 "string"
858 ],
859 "structuredOutputs": [
860 {
861 "type": "ai",
862 "regex": "string",
863 "model": {
864 "provider": "openai",
865 "model": "gpt-5.4",
866 "temperature": 1.1,
867 "maxTokens": 5030
868 },
869 "compliancePlan": {
870 "forceStoreOnHipaaEnabled": false
871 },
872 "name": "string",
873 "schema": {
874 "type": "string",
875 "items": {},
876 "properties": {},
877 "description": "string",
878 "pattern": "string",
879 "format": "date-time",
880 "required": [
881 "string"
882 ],
883 "enum": [
884 "string"
885 ],
886 "title": "string"
887 },
888 "description": "string",
889 "assistantIds": [
890 "string"
891 ],
892 "workflowIds": [
893 "string"
894 ]
895 }
896 ],
897 "scorecardIds": [
898 "string"
899 ],
900 "scorecards": [
901 {
902 "name": "string",
903 "description": "string",
904 "metrics": [
905 {
906 "structuredOutputId": "string",
907 "conditions": [
908 {}
909 ]
910 }
911 ],
912 "assistantIds": [
913 "string"
914 ]
915 }
916 ],
917 "loggingPath": "string"
918 },
919 "startSpeakingPlan": {
920 "waitSeconds": 0.4,
921 "smartEndpointingEnabled": false,
922 "smartEndpointingPlan": {
923 "provider": "vapi"
924 },
925 "customEndpointingRules": [
926 {
927 "type": "assistant",
928 "regex": "string",
929 "regexOptions": [
930 {
931 "type": "ignore-case",
932 "enabled": true
933 }
934 ],
935 "timeoutSeconds": 1.1
936 }
937 ],
938 "transcriptionEndpointingPlan": {
939 "onPunctuationSeconds": 0.1,
940 "onNoPunctuationSeconds": 1.5,
941 "onNumberSeconds": 0.5
942 }
943 },
944 "stopSpeakingPlan": {
945 "numWords": 0,
946 "voiceSeconds": 0.2,
947 "backoffSeconds": 1,
948 "acknowledgementPhrases": [
949 "i understand",
950 "i see",
951 "i got it",
952 "i hear you",
953 "im listening",
954 "im with you",
955 "right",
956 "okay",
957 "ok",
958 "sure",
959 "alright",
960 "got it",
961 "understood",
962 "yeah",
963 "yes",
964 "uh-huh",
965 "mm-hmm",
966 "gotcha",
967 "mhmm",
968 "ah",
969 "yeah okay",
970 "yeah sure"
971 ],
972 "interruptionPhrases": [
973 "stop",
974 "shut",
975 "up",
976 "enough",
977 "quiet",
978 "silence",
979 "but",
980 "dont",
981 "not",
982 "no",
983 "hold",
984 "wait",
985 "cut",
986 "pause",
987 "nope",
988 "nah",
989 "nevermind",
990 "never",
991 "bad",
992 "actually"
993 ]
994 },
995 "monitorPlan": {
996 "listenEnabled": false,
997 "listenAuthenticationEnabled": false,
998 "controlEnabled": false,
999 "controlAuthenticationEnabled": false,
1000 "monitorIds": [
1001 "123e4567-e89b-12d3-a456-426614174000"
1002 ]
1003 },
1004 "credentialIds": [
1005 "string"
1006 ],
1007 "server": {
1008 "timeoutSeconds": 20,
1009 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1010 "staticIpAddressesEnabled": false,
1011 "encryptedPaths": [
1012 "string"
1013 ],
1014 "url": "string",
1015 "headers": {},
1016 "backoffPlan": {
1017 "type": "fixed",
1018 "maxRetries": 0,
1019 "baseDelaySeconds": 1,
1020 "excludedStatusCodes": [
1021 400,
1022 401,
1023 403,
1024 404
1025 ]
1026 }
1027 },
1028 "keypadInputPlan": {
1029 "enabled": true,
1030 "timeoutSeconds": 1.1,
1031 "delimiters": "#"
1032 }
1033 },
1034 "assistantOverrides": {
1035 "transcriber": {
1036 "provider": "assembly-ai",
1037 "language": "multi",
1038 "confidenceThreshold": 0.4,
1039 "formatTurns": true,
1040 "endOfTurnConfidenceThreshold": 0.7,
1041 "minEndOfTurnSilenceWhenConfident": 160,
1042 "wordFinalizationMaxWaitTime": 160,
1043 "maxTurnSilence": 400,
1044 "vadAssistedEndpointingEnabled": true,
1045 "speechModel": "universal-streaming-english",
1046 "realtimeUrl": "string",
1047 "wordBoost": [
1048 "string"
1049 ],
1050 "keytermsPrompt": [
1051 "string"
1052 ],
1053 "endUtteranceSilenceThreshold": 1.1,
1054 "disablePartialTranscripts": true,
1055 "fallbackPlan": {
1056 "transcribers": [
1057 {
1058 "provider": "assembly-ai",
1059 "language": "multi",
1060 "confidenceThreshold": 0.4,
1061 "formatTurns": true,
1062 "endOfTurnConfidenceThreshold": 0.7,
1063 "minEndOfTurnSilenceWhenConfident": 160,
1064 "wordFinalizationMaxWaitTime": 160,
1065 "maxTurnSilence": 400,
1066 "vadAssistedEndpointingEnabled": true,
1067 "speechModel": "universal-streaming-english",
1068 "realtimeUrl": "string",
1069 "wordBoost": [
1070 "string"
1071 ],
1072 "keytermsPrompt": [
1073 "string"
1074 ],
1075 "endUtteranceSilenceThreshold": 1.1,
1076 "disablePartialTranscripts": true
1077 }
1078 ]
1079 }
1080 },
1081 "model": {
1082 "messages": [
1083 {
1084 "content": "string",
1085 "role": "assistant"
1086 }
1087 ],
1088 "tools": [
1089 {
1090 "messages": [
1091 {
1092 "contents": [
1093 {
1094 "type": "text",
1095 "text": "string",
1096 "language": "aa"
1097 }
1098 ],
1099 "type": "request-start",
1100 "blocking": false,
1101 "content": "string",
1102 "conditions": [
1103 {
1104 "operator": "eq",
1105 "param": "string",
1106 "value": "string"
1107 }
1108 ]
1109 }
1110 ],
1111 "type": "apiRequest",
1112 "method": "POST",
1113 "timeoutSeconds": 20,
1114 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1115 "encryptedPaths": [
1116 "string"
1117 ],
1118 "parameters": [
1119 {
1120 "key": "string",
1121 "value": {}
1122 }
1123 ],
1124 "name": "string",
1125 "description": "string",
1126 "url": "string",
1127 "body": {
1128 "type": "string",
1129 "items": {},
1130 "properties": {},
1131 "description": "string",
1132 "pattern": "string",
1133 "format": "date-time",
1134 "required": [
1135 "string"
1136 ],
1137 "enum": [
1138 "string"
1139 ],
1140 "title": "string"
1141 },
1142 "headers": {
1143 "type": "string",
1144 "items": {},
1145 "properties": {},
1146 "description": "string",
1147 "pattern": "string",
1148 "format": "date-time",
1149 "required": [
1150 "string"
1151 ],
1152 "enum": [
1153 "string"
1154 ],
1155 "title": "string"
1156 },
1157 "backoffPlan": {
1158 "type": "fixed",
1159 "maxRetries": 0,
1160 "baseDelaySeconds": 1,
1161 "excludedStatusCodes": [
1162 400,
1163 401,
1164 403,
1165 404
1166 ]
1167 },
1168 "variableExtractionPlan": {
1169 "schema": {
1170 "type": "string",
1171 "items": {},
1172 "properties": {},
1173 "description": "string",
1174 "pattern": "string",
1175 "format": "date-time",
1176 "required": [
1177 "string"
1178 ],
1179 "enum": [
1180 "string"
1181 ],
1182 "title": "string"
1183 },
1184 "aliases": [
1185 {
1186 "key": "string",
1187 "value": "string"
1188 }
1189 ]
1190 },
1191 "rejectionPlan": {
1192 "conditions": [
1193 {
1194 "type": "regex",
1195 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
1196 }
1197 ]
1198 }
1199 }
1200 ],
1201 "toolIds": [
1202 "string"
1203 ],
1204 "knowledgeBase": {
1205 "provider": "custom-knowledge-base",
1206 "server": {
1207 "timeoutSeconds": 20,
1208 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1209 "staticIpAddressesEnabled": false,
1210 "encryptedPaths": [
1211 "string"
1212 ],
1213 "url": "string",
1214 "headers": {},
1215 "backoffPlan": {
1216 "type": "fixed",
1217 "maxRetries": 0,
1218 "baseDelaySeconds": 1,
1219 "excludedStatusCodes": [
1220 400,
1221 401,
1222 403,
1223 404
1224 ]
1225 }
1226 }
1227 },
1228 "model": "claude-3-opus-20240229",
1229 "provider": "anthropic",
1230 "thinking": {
1231 "type": "enabled",
1232 "budgetTokens": 50500
1233 },
1234 "temperature": 1.1,
1235 "maxTokens": 5030,
1236 "emotionRecognitionEnabled": true,
1237 "numFastTurns": 1.1
1238 },
1239 "voice": {
1240 "cachingEnabled": true,
1241 "provider": "azure",
1242 "voiceId": "andrew",
1243 "chunkPlan": {
1244 "enabled": true,
1245 "minCharacters": 30,
1246 "punctuationBoundaries": "。",
1247 "formatPlan": {
1248 "enabled": true,
1249 "numberToDigitsCutoff": 2025,
1250 "replacements": [
1251 {
1252 "type": "exact",
1253 "replaceAllEnabled": false,
1254 "key": "string",
1255 "value": "string"
1256 }
1257 ],
1258 "formattersEnabled": "markdown"
1259 }
1260 },
1261 "speed": 1.1,
1262 "fallbackPlan": {
1263 "voices": [
1264 {
1265 "cachingEnabled": true,
1266 "provider": "azure",
1267 "voiceId": "andrew",
1268 "speed": 1.1,
1269 "chunkPlan": {
1270 "enabled": true,
1271 "minCharacters": 30,
1272 "punctuationBoundaries": "。",
1273 "formatPlan": {}
1274 },
1275 "oneOf": null
1276 }
1277 ]
1278 }
1279 },
1280 "firstMessage": "Hello! How can I help you today?",
1281 "firstMessageInterruptionsEnabled": false,
1282 "firstMessageMode": "assistant-speaks-first",
1283 "voicemailDetection": "off",
1284 "clientMessages": "conversation-update",
1285 "serverMessages": "assistant.started",
1286 "maxDurationSeconds": 600,
1287 "backgroundSound": "off",
1288 "modelOutputInMessagesEnabled": false,
1289 "transportConfigurations": [
1290 {
1291 "provider": "twilio",
1292 "timeout": 60,
1293 "record": false,
1294 "recordingChannels": "mono"
1295 }
1296 ],
1297 "observabilityPlan": {
1298 "provider": "langfuse",
1299 "promptName": "string",
1300 "promptVersion": 1.1,
1301 "traceName": "string",
1302 "tags": [
1303 "string"
1304 ],
1305 "metadata": {}
1306 },
1307 "credentials": [
1308 {
1309 "provider": "anthropic",
1310 "apiKey": "string",
1311 "name": "string"
1312 }
1313 ],
1314 "hooks": [
1315 {
1316 "on": "call.ending",
1317 "do": [
1318 {
1319 "type": "tool",
1320 "tool": {
1321 "messages": [
1322 {
1323 "contents": [
1324 {}
1325 ],
1326 "type": "request-start",
1327 "blocking": false,
1328 "content": "string",
1329 "conditions": [
1330 {
1331 "operator": {},
1332 "param": {},
1333 "value": {}
1334 }
1335 ]
1336 }
1337 ],
1338 "type": "apiRequest",
1339 "method": "POST",
1340 "timeoutSeconds": 20,
1341 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1342 "encryptedPaths": [
1343 "string"
1344 ],
1345 "parameters": [
1346 {
1347 "key": "string",
1348 "value": {}
1349 }
1350 ],
1351 "name": "string",
1352 "description": "string",
1353 "url": "string",
1354 "body": {
1355 "type": "string",
1356 "items": {},
1357 "properties": {},
1358 "description": "string",
1359 "pattern": "string",
1360 "format": "date-time",
1361 "required": [
1362 "string"
1363 ],
1364 "enum": [
1365 "string"
1366 ],
1367 "title": "string"
1368 },
1369 "headers": {
1370 "type": "string",
1371 "items": {},
1372 "properties": {},
1373 "description": "string",
1374 "pattern": "string",
1375 "format": "date-time",
1376 "required": [
1377 "string"
1378 ],
1379 "enum": [
1380 "string"
1381 ],
1382 "title": "string"
1383 },
1384 "backoffPlan": {
1385 "type": "fixed",
1386 "maxRetries": 0,
1387 "baseDelaySeconds": 1,
1388 "excludedStatusCodes": [
1389 400,
1390 401,
1391 403,
1392 404
1393 ]
1394 },
1395 "variableExtractionPlan": {
1396 "schema": {},
1397 "aliases": [
1398 {
1399 "key": {},
1400 "value": {}
1401 }
1402 ]
1403 },
1404 "rejectionPlan": {
1405 "conditions": [
1406 "[{ type: \"regex\", regex: \"(?i)\\\\b(cancel|stop)\\\\b\", target: { role: \"user\" } }]"
1407 ]
1408 }
1409 },
1410 "toolId": "string"
1411 }
1412 ],
1413 "filters": [
1414 {
1415 "type": "oneOf",
1416 "key": "string",
1417 "oneOf": [
1418 "string"
1419 ]
1420 }
1421 ]
1422 }
1423 ],
1424 "tools:append": [
1425 {
1426 "messages": [
1427 {
1428 "contents": [
1429 {
1430 "type": "text",
1431 "text": "string",
1432 "language": "aa"
1433 }
1434 ],
1435 "type": "request-start",
1436 "blocking": false,
1437 "content": "string",
1438 "conditions": [
1439 {
1440 "operator": "eq",
1441 "param": "string",
1442 "value": "string"
1443 }
1444 ]
1445 }
1446 ],
1447 "type": "apiRequest",
1448 "method": "POST",
1449 "timeoutSeconds": 20,
1450 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1451 "encryptedPaths": [
1452 "string"
1453 ],
1454 "parameters": [
1455 {
1456 "key": "string",
1457 "value": {}
1458 }
1459 ],
1460 "name": "string",
1461 "description": "string",
1462 "url": "string",
1463 "body": {
1464 "type": "string",
1465 "items": {},
1466 "properties": {},
1467 "description": "string",
1468 "pattern": "string",
1469 "format": "date-time",
1470 "required": [
1471 "string"
1472 ],
1473 "enum": [
1474 "string"
1475 ],
1476 "title": "string"
1477 },
1478 "headers": {
1479 "type": "string",
1480 "items": {},
1481 "properties": {},
1482 "description": "string",
1483 "pattern": "string",
1484 "format": "date-time",
1485 "required": [
1486 "string"
1487 ],
1488 "enum": [
1489 "string"
1490 ],
1491 "title": "string"
1492 },
1493 "backoffPlan": {
1494 "type": "fixed",
1495 "maxRetries": 0,
1496 "baseDelaySeconds": 1,
1497 "excludedStatusCodes": [
1498 400,
1499 401,
1500 403,
1501 404
1502 ]
1503 },
1504 "variableExtractionPlan": {
1505 "schema": {
1506 "type": "string",
1507 "items": {},
1508 "properties": {},
1509 "description": "string",
1510 "pattern": "string",
1511 "format": "date-time",
1512 "required": [
1513 "string"
1514 ],
1515 "enum": [
1516 "string"
1517 ],
1518 "title": "string"
1519 },
1520 "aliases": [
1521 {
1522 "key": "string",
1523 "value": "string"
1524 }
1525 ]
1526 },
1527 "rejectionPlan": {
1528 "conditions": [
1529 {
1530 "type": "regex",
1531 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
1532 }
1533 ]
1534 }
1535 }
1536 ],
1537 "variableValues": {},
1538 "name": "string",
1539 "voicemailMessage": "string",
1540 "endCallMessage": "string",
1541 "endCallPhrases": [
1542 "string"
1543 ],
1544 "compliancePlan": {
1545 "hipaaEnabled": true,
1546 "pciEnabled": {
1547 "pciEnabled": false
1548 },
1549 "securityFilterPlan": {
1550 "enabled": false,
1551 "filters": [
1552 {}
1553 ],
1554 "mode": "sanitize",
1555 "replacementText": "[FILTERED]"
1556 },
1557 "recordingConsentPlan": {
1558 "message": "For quality purposes, this call may be recorded. Please stay on the line if you agree or end the call if you do not consent.",
1559 "voice": {
1560 "cachingEnabled": true,
1561 "provider": "azure",
1562 "voiceId": "andrew",
1563 "chunkPlan": {
1564 "enabled": true,
1565 "minCharacters": 30,
1566 "punctuationBoundaries": "。",
1567 "formatPlan": {
1568 "enabled": true,
1569 "numberToDigitsCutoff": 2025,
1570 "replacements": {},
1571 "formattersEnabled": {}
1572 }
1573 },
1574 "speed": 1.1,
1575 "fallbackPlan": {
1576 "voices": [
1577 {
1578 "cachingEnabled": true,
1579 "provider": {},
1580 "voiceId": {},
1581 "speed": {},
1582 "chunkPlan": {},
1583 "oneOf": {}
1584 }
1585 ]
1586 }
1587 },
1588 "type": "stay-on-line",
1589 "waitSeconds": 3
1590 }
1591 },
1592 "metadata": {},
1593 "backgroundSpeechDenoisingPlan": {
1594 "smartDenoisingPlan": {
1595 "enabled": true
1596 },
1597 "fourierDenoisingPlan": {
1598 "enabled": false,
1599 "mediaDetectionEnabled": true,
1600 "staticThreshold": -35,
1601 "baselineOffsetDb": -15,
1602 "windowSizeMs": 3000,
1603 "baselinePercentile": 85
1604 }
1605 },
1606 "analysisPlan": {
1607 "minMessagesThreshold": 1.1,
1608 "summaryPlan": {
1609 "messages": [
1610 {}
1611 ],
1612 "enabled": true,
1613 "timeoutSeconds": 1.1
1614 },
1615 "structuredDataPlan": {
1616 "messages": [
1617 {}
1618 ],
1619 "enabled": true,
1620 "schema": {
1621 "type": "string",
1622 "items": {},
1623 "properties": {},
1624 "description": "string",
1625 "pattern": "string",
1626 "format": "date-time",
1627 "required": [
1628 "string"
1629 ],
1630 "enum": [
1631 "string"
1632 ],
1633 "title": "string"
1634 },
1635 "timeoutSeconds": 1.1
1636 },
1637 "structuredDataMultiPlan": [
1638 {
1639 "key": "string",
1640 "plan": {
1641 "messages": [
1642 {}
1643 ],
1644 "enabled": true,
1645 "schema": {
1646 "type": "string",
1647 "items": {},
1648 "properties": {},
1649 "description": "string",
1650 "pattern": "string",
1651 "format": "date-time",
1652 "required": [
1653 "string"
1654 ],
1655 "enum": [
1656 "string"
1657 ],
1658 "title": "string"
1659 },
1660 "timeoutSeconds": 1.1
1661 }
1662 }
1663 ],
1664 "successEvaluationPlan": {
1665 "rubric": "NumericScale",
1666 "messages": [
1667 {}
1668 ],
1669 "enabled": true,
1670 "timeoutSeconds": 1.1
1671 },
1672 "outcomeIds": [
1673 "string"
1674 ]
1675 },
1676 "artifactPlan": {
1677 "recordingEnabled": true,
1678 "recordingFormat": "wav;l16",
1679 "recordingUseCustomStorageEnabled": true,
1680 "videoRecordingEnabled": false,
1681 "fullMessageHistoryEnabled": false,
1682 "pcapEnabled": true,
1683 "pcapS3PathPrefix": "/pcaps",
1684 "pcapUseCustomStorageEnabled": true,
1685 "loggingEnabled": true,
1686 "loggingUseCustomStorageEnabled": true,
1687 "transcriptPlan": {
1688 "enabled": true,
1689 "assistantName": "string",
1690 "userName": "string"
1691 },
1692 "recordingPath": "string",
1693 "structuredOutputIds": [
1694 "string"
1695 ],
1696 "structuredOutputs": [
1697 {
1698 "type": "ai",
1699 "regex": "string",
1700 "model": {
1701 "provider": "openai",
1702 "model": "gpt-5.4",
1703 "temperature": 1.1,
1704 "maxTokens": 5030
1705 },
1706 "compliancePlan": {
1707 "forceStoreOnHipaaEnabled": false
1708 },
1709 "name": "string",
1710 "schema": {
1711 "type": "string",
1712 "items": {},
1713 "properties": {},
1714 "description": "string",
1715 "pattern": "string",
1716 "format": "date-time",
1717 "required": [
1718 "string"
1719 ],
1720 "enum": [
1721 "string"
1722 ],
1723 "title": "string"
1724 },
1725 "description": "string",
1726 "assistantIds": [
1727 "string"
1728 ],
1729 "workflowIds": [
1730 "string"
1731 ]
1732 }
1733 ],
1734 "scorecardIds": [
1735 "string"
1736 ],
1737 "scorecards": [
1738 {
1739 "name": "string",
1740 "description": "string",
1741 "metrics": [
1742 {
1743 "structuredOutputId": "string",
1744 "conditions": [
1745 {}
1746 ]
1747 }
1748 ],
1749 "assistantIds": [
1750 "string"
1751 ]
1752 }
1753 ],
1754 "loggingPath": "string"
1755 },
1756 "startSpeakingPlan": {
1757 "waitSeconds": 0.4,
1758 "smartEndpointingEnabled": false,
1759 "smartEndpointingPlan": {
1760 "provider": "vapi"
1761 },
1762 "customEndpointingRules": [
1763 {
1764 "type": "assistant",
1765 "regex": "string",
1766 "regexOptions": [
1767 {
1768 "type": "ignore-case",
1769 "enabled": true
1770 }
1771 ],
1772 "timeoutSeconds": 1.1
1773 }
1774 ],
1775 "transcriptionEndpointingPlan": {
1776 "onPunctuationSeconds": 0.1,
1777 "onNoPunctuationSeconds": 1.5,
1778 "onNumberSeconds": 0.5
1779 }
1780 },
1781 "stopSpeakingPlan": {
1782 "numWords": 0,
1783 "voiceSeconds": 0.2,
1784 "backoffSeconds": 1,
1785 "acknowledgementPhrases": [
1786 "i understand",
1787 "i see",
1788 "i got it",
1789 "i hear you",
1790 "im listening",
1791 "im with you",
1792 "right",
1793 "okay",
1794 "ok",
1795 "sure",
1796 "alright",
1797 "got it",
1798 "understood",
1799 "yeah",
1800 "yes",
1801 "uh-huh",
1802 "mm-hmm",
1803 "gotcha",
1804 "mhmm",
1805 "ah",
1806 "yeah okay",
1807 "yeah sure"
1808 ],
1809 "interruptionPhrases": [
1810 "stop",
1811 "shut",
1812 "up",
1813 "enough",
1814 "quiet",
1815 "silence",
1816 "but",
1817 "dont",
1818 "not",
1819 "no",
1820 "hold",
1821 "wait",
1822 "cut",
1823 "pause",
1824 "nope",
1825 "nah",
1826 "nevermind",
1827 "never",
1828 "bad",
1829 "actually"
1830 ]
1831 },
1832 "monitorPlan": {
1833 "listenEnabled": false,
1834 "listenAuthenticationEnabled": false,
1835 "controlEnabled": false,
1836 "controlAuthenticationEnabled": false,
1837 "monitorIds": [
1838 "123e4567-e89b-12d3-a456-426614174000"
1839 ]
1840 },
1841 "credentialIds": [
1842 "string"
1843 ],
1844 "server": {
1845 "timeoutSeconds": 20,
1846 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1847 "staticIpAddressesEnabled": false,
1848 "encryptedPaths": [
1849 "string"
1850 ],
1851 "url": "string",
1852 "headers": {},
1853 "backoffPlan": {
1854 "type": "fixed",
1855 "maxRetries": 0,
1856 "baseDelaySeconds": 1,
1857 "excludedStatusCodes": [
1858 400,
1859 401,
1860 403,
1861 404
1862 ]
1863 }
1864 },
1865 "keypadInputPlan": {
1866 "enabled": true,
1867 "timeoutSeconds": 1.1,
1868 "delimiters": "#"
1869 }
1870 },
1871 "squadId": "string",
1872 "squad": {
1873 "name": "string",
1874 "members": [
1875 {
1876 "assistantDestinations": [
1877 {
1878 "message": "string",
1879 "type": "assistant",
1880 "transferMode": "rolling-history",
1881 "assistantName": "string",
1882 "description": "string"
1883 }
1884 ],
1885 "assistantId": "string",
1886 "assistant": {
1887 "transcriber": {
1888 "provider": "assembly-ai",
1889 "language": "multi",
1890 "confidenceThreshold": 0.4,
1891 "formatTurns": true,
1892 "endOfTurnConfidenceThreshold": 0.7,
1893 "minEndOfTurnSilenceWhenConfident": 160,
1894 "wordFinalizationMaxWaitTime": 160,
1895 "maxTurnSilence": 400,
1896 "vadAssistedEndpointingEnabled": true,
1897 "speechModel": "universal-streaming-english",
1898 "realtimeUrl": "string",
1899 "wordBoost": [
1900 "string"
1901 ],
1902 "keytermsPrompt": [
1903 "string"
1904 ],
1905 "endUtteranceSilenceThreshold": 1.1,
1906 "disablePartialTranscripts": true,
1907 "fallbackPlan": {
1908 "transcribers": [
1909 {
1910 "provider": {},
1911 "language": {},
1912 "confidenceThreshold": 0.4,
1913 "formatTurns": true,
1914 "endOfTurnConfidenceThreshold": 0.7,
1915 "minEndOfTurnSilenceWhenConfident": 160,
1916 "wordFinalizationMaxWaitTime": 160,
1917 "maxTurnSilence": 400,
1918 "vadAssistedEndpointingEnabled": true,
1919 "speechModel": {},
1920 "realtimeUrl": {},
1921 "wordBoost": {},
1922 "keytermsPrompt": {},
1923 "endUtteranceSilenceThreshold": {},
1924 "disablePartialTranscripts": {}
1925 }
1926 ]
1927 }
1928 },
1929 "model": {
1930 "messages": [
1931 {
1932 "content": "string",
1933 "role": "assistant"
1934 }
1935 ],
1936 "tools": [
1937 {
1938 "messages": [
1939 {
1940 "contents": {},
1941 "type": {},
1942 "blocking": false,
1943 "content": {},
1944 "conditions": {}
1945 }
1946 ],
1947 "type": "apiRequest",
1948 "method": "POST",
1949 "timeoutSeconds": 20,
1950 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1951 "encryptedPaths": [
1952 "string"
1953 ],
1954 "parameters": [
1955 {
1956 "key": "string",
1957 "value": {}
1958 }
1959 ],
1960 "name": "string",
1961 "description": "string",
1962 "url": "string",
1963 "body": {
1964 "type": {},
1965 "items": {},
1966 "properties": {},
1967 "description": {},
1968 "pattern": {},
1969 "format": {},
1970 "required": {},
1971 "enum": {},
1972 "title": {}
1973 },
1974 "headers": {
1975 "type": {},
1976 "items": {},
1977 "properties": {},
1978 "description": {},
1979 "pattern": {},
1980 "format": {},
1981 "required": {},
1982 "enum": {},
1983 "title": {}
1984 },
1985 "backoffPlan": {
1986 "type": "fixed",
1987 "maxRetries": 0,
1988 "baseDelaySeconds": 1,
1989 "excludedStatusCodes": [
1990 400,
1991 401,
1992 403,
1993 404
1994 ]
1995 },
1996 "variableExtractionPlan": {
1997 "schema": {},
1998 "aliases": {}
1999 },
2000 "rejectionPlan": {
2001 "conditions": "[{ type: \"regex\", regex: \"(?i)\\\\b(cancel|stop)\\\\b\", target: { role: \"user\" } }]"
2002 }
2003 }
2004 ],
2005 "toolIds": [
2006 "string"
2007 ],
2008 "knowledgeBase": {
2009 "provider": "custom-knowledge-base",
2010 "server": {
2011 "timeoutSeconds": 20,
2012 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
2013 "staticIpAddressesEnabled": false,
2014 "encryptedPaths": {},
2015 "url": {},
2016 "headers": {},
2017 "backoffPlan": {}
2018 }
2019 },
2020 "model": "claude-3-opus-20240229",
2021 "provider": "anthropic",
2022 "thinking": {
2023 "type": "enabled",
2024 "budgetTokens": 50500
2025 },
2026 "temperature": 1.1,
2027 "maxTokens": 5030,
2028 "emotionRecognitionEnabled": true,
2029 "numFastTurns": 1.1
2030 },
2031 "voice": {
2032 "cachingEnabled": true,
2033 "provider": "azure",
2034 "voiceId": "andrew",
2035 "chunkPlan": {
2036 "enabled": true,
2037 "minCharacters": 30,
2038 "punctuationBoundaries": "。",
2039 "formatPlan": {
2040 "enabled": true,
2041 "numberToDigitsCutoff": 2025,
2042 "replacements": {},
2043 "formattersEnabled": {}
2044 }
2045 },
2046 "speed": 1.1,
2047 "fallbackPlan": {
2048 "voices": [
2049 {
2050 "cachingEnabled": true,
2051 "provider": {},
2052 "voiceId": {},
2053 "speed": {},
2054 "chunkPlan": {},
2055 "oneOf": {}
2056 }
2057 ]
2058 }
2059 },
2060 "firstMessage": "Hello! How can I help you today?",
2061 "firstMessageInterruptionsEnabled": false,
2062 "firstMessageMode": "assistant-speaks-first",
2063 "voicemailDetection": "off",
2064 "clientMessages": "conversation-update",
2065 "serverMessages": "assistant.started",
2066 "maxDurationSeconds": 600,
2067 "backgroundSound": "off",
2068 "modelOutputInMessagesEnabled": false,
2069 "transportConfigurations": [
2070 {
2071 "provider": "twilio",
2072 "timeout": 60,
2073 "record": false,
2074 "recordingChannels": "mono"
2075 }
2076 ],
2077 "observabilityPlan": {
2078 "provider": "langfuse",
2079 "promptName": "string",
2080 "promptVersion": 1.1,
2081 "traceName": "string",
2082 "tags": [
2083 "string"
2084 ],
2085 "metadata": {}
2086 },
2087 "credentials": [
2088 {
2089 "provider": "anthropic",
2090 "apiKey": "string",
2091 "name": "string"
2092 }
2093 ],
2094 "hooks": [
2095 {
2096 "on": "call.ending",
2097 "do": [
2098 {
2099 "type": "tool",
2100 "tool": {
2101 "messages": {},
2102 "type": {},
2103 "method": {},
2104 "timeoutSeconds": 20,
2105 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
2106 "encryptedPaths": {},
2107 "parameters": {},
2108 "name": {},
2109 "description": {},
2110 "url": {},
2111 "body": {},
2112 "headers": {},
2113 "backoffPlan": {},
2114 "variableExtractionPlan": {},
2115 "rejectionPlan": {}
2116 },
2117 "toolId": "string"
2118 }
2119 ],
2120 "filters": [
2121 {
2122 "type": "oneOf",
2123 "key": "string",
2124 "oneOf": [
2125 "string"
2126 ]
2127 }
2128 ]
2129 }
2130 ],
2131 "name": "string",
2132 "voicemailMessage": "string",
2133 "endCallMessage": "string",
2134 "endCallPhrases": [
2135 "string"
2136 ],
2137 "compliancePlan": {
2138 "hipaaEnabled": true,
2139 "pciEnabled": {
2140 "pciEnabled": false
2141 },
2142 "securityFilterPlan": {
2143 "enabled": false,
2144 "filters": [
2145 {}
2146 ],
2147 "mode": "sanitize",
2148 "replacementText": "[FILTERED]"
2149 },
2150 "recordingConsentPlan": {
2151 "message": "For quality purposes, this call may be recorded. Please stay on the line if you agree or end the call if you do not consent.",
2152 "voice": {
2153 "cachingEnabled": true,
2154 "provider": "azure",
2155 "voiceId": "andrew",
2156 "chunkPlan": {},
2157 "speed": 1.1,
2158 "fallbackPlan": {}
2159 },
2160 "type": "stay-on-line",
2161 "waitSeconds": 3
2162 }
2163 },
2164 "metadata": {},
2165 "backgroundSpeechDenoisingPlan": {
2166 "smartDenoisingPlan": {
2167 "enabled": true
2168 },
2169 "fourierDenoisingPlan": {
2170 "enabled": false,
2171 "mediaDetectionEnabled": true,
2172 "staticThreshold": -35,
2173 "baselineOffsetDb": -15,
2174 "windowSizeMs": 3000,
2175 "baselinePercentile": 85
2176 }
2177 },
2178 "analysisPlan": {
2179 "minMessagesThreshold": 1.1,
2180 "summaryPlan": {
2181 "messages": [
2182 {}
2183 ],
2184 "enabled": true,
2185 "timeoutSeconds": 1.1
2186 },
2187 "structuredDataPlan": {
2188 "messages": [
2189 {}
2190 ],
2191 "enabled": true,
2192 "schema": {
2193 "type": {},
2194 "items": {},
2195 "properties": {},
2196 "description": {},
2197 "pattern": {},
2198 "format": {},
2199 "required": {},
2200 "enum": {},
2201 "title": {}
2202 },
2203 "timeoutSeconds": 1.1
2204 },
2205 "structuredDataMultiPlan": [
2206 {
2207 "key": "string",
2208 "plan": {
2209 "messages": [
2210 {}
2211 ],
2212 "enabled": true,
2213 "schema": {},
2214 "timeoutSeconds": 1.1
2215 }
2216 }
2217 ],
2218 "successEvaluationPlan": {
2219 "rubric": "NumericScale",
2220 "messages": [
2221 {}
2222 ],
2223 "enabled": true,
2224 "timeoutSeconds": 1.1
2225 },
2226 "outcomeIds": [
2227 "string"
2228 ]
2229 },
2230 "artifactPlan": {
2231 "recordingEnabled": true,
2232 "recordingFormat": "wav;l16",
2233 "recordingUseCustomStorageEnabled": true,
2234 "videoRecordingEnabled": false,
2235 "fullMessageHistoryEnabled": false,
2236 "pcapEnabled": true,
2237 "pcapS3PathPrefix": "/pcaps",
2238 "pcapUseCustomStorageEnabled": true,
2239 "loggingEnabled": true,
2240 "loggingUseCustomStorageEnabled": true,
2241 "transcriptPlan": {
2242 "enabled": true,
2243 "assistantName": "string",
2244 "userName": "string"
2245 },
2246 "recordingPath": "string",
2247 "structuredOutputIds": [
2248 "string"
2249 ],
2250 "structuredOutputs": [
2251 {
2252 "type": "ai",
2253 "regex": "string",
2254 "model": {
2255 "provider": "openai",
2256 "model": "gpt-5.4",
2257 "temperature": 1.1,
2258 "maxTokens": 5030
2259 },
2260 "compliancePlan": {
2261 "forceStoreOnHipaaEnabled": false
2262 },
2263 "name": "string",
2264 "schema": {
2265 "type": "string",
2266 "items": {},
2267 "properties": {},
2268 "description": "string",
2269 "pattern": "string",
2270 "format": "date-time",
2271 "required": [
2272 "string"
2273 ],
2274 "enum": [
2275 "string"
2276 ],
2277 "title": "string"
2278 },
2279 "description": "string",
2280 "assistantIds": [
2281 "string"
2282 ],
2283 "workflowIds": [
2284 "string"
2285 ]
2286 }
2287 ],
2288 "scorecardIds": [
2289 "string"
2290 ],
2291 "scorecards": [
2292 {
2293 "name": "string",
2294 "description": "string",
2295 "metrics": [
2296 {
2297 "structuredOutputId": "string",
2298 "conditions": [
2299 {}
2300 ]
2301 }
2302 ],
2303 "assistantIds": [
2304 "string"
2305 ]
2306 }
2307 ],
2308 "loggingPath": "string"
2309 },
2310 "startSpeakingPlan": {
2311 "waitSeconds": 0.4,
2312 "smartEndpointingEnabled": false,
2313 "smartEndpointingPlan": {
2314 "provider": "vapi"
2315 },
2316 "customEndpointingRules": [
2317 {
2318 "type": "assistant",
2319 "regex": "string",
2320 "regexOptions": [
2321 {
2322 "type": "ignore-case",
2323 "enabled": true
2324 }
2325 ],
2326 "timeoutSeconds": 1.1
2327 }
2328 ],
2329 "transcriptionEndpointingPlan": {
2330 "onPunctuationSeconds": 0.1,
2331 "onNoPunctuationSeconds": 1.5,
2332 "onNumberSeconds": 0.5
2333 }
2334 },
2335 "stopSpeakingPlan": {
2336 "numWords": 0,
2337 "voiceSeconds": 0.2,
2338 "backoffSeconds": 1,
2339 "acknowledgementPhrases": [
2340 "i understand",
2341 "i see",
2342 "i got it",
2343 "i hear you",
2344 "im listening",
2345 "im with you",
2346 "right",
2347 "okay",
2348 "ok",
2349 "sure",
2350 "alright",
2351 "got it",
2352 "understood",
2353 "yeah",
2354 "yes",
2355 "uh-huh",
2356 "mm-hmm",
2357 "gotcha",
2358 "mhmm",
2359 "ah",
2360 "yeah okay",
2361 "yeah sure"
2362 ],
2363 "interruptionPhrases": [
2364 "stop",
2365 "shut",
2366 "up",
2367 "enough",
2368 "quiet",
2369 "silence",
2370 "but",
2371 "dont",
2372 "not",
2373 "no",
2374 "hold",
2375 "wait",
2376 "cut",
2377 "pause",
2378 "nope",
2379 "nah",
2380 "nevermind",
2381 "never",
2382 "bad",
2383 "actually"
2384 ]
2385 },
2386 "monitorPlan": {
2387 "listenEnabled": false,
2388 "listenAuthenticationEnabled": false,
2389 "controlEnabled": false,
2390 "controlAuthenticationEnabled": false,
2391 "monitorIds": [
2392 "123e4567-e89b-12d3-a456-426614174000"
2393 ]
2394 },
2395 "credentialIds": [
2396 "string"
2397 ],
2398 "server": {
2399 "timeoutSeconds": 20,
2400 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
2401 "staticIpAddressesEnabled": false,
2402 "encryptedPaths": [
2403 "string"
2404 ],
2405 "url": "string",
2406 "headers": {},
2407 "backoffPlan": {
2408 "type": "fixed",
2409 "maxRetries": 0,
2410 "baseDelaySeconds": 1,
2411 "excludedStatusCodes": [
2412 400,
2413 401,
2414 403,
2415 404
2416 ]
2417 }
2418 },
2419 "keypadInputPlan": {
2420 "enabled": true,
2421 "timeoutSeconds": 1.1,
2422 "delimiters": "#"
2423 }
2424 },
2425 "assistantOverrides": {
2426 "transcriber": {
2427 "provider": "assembly-ai",
2428 "language": "multi",
2429 "confidenceThreshold": 0.4,
2430 "formatTurns": true,
2431 "endOfTurnConfidenceThreshold": 0.7,
2432 "minEndOfTurnSilenceWhenConfident": 160,
2433 "wordFinalizationMaxWaitTime": 160,
2434 "maxTurnSilence": 400,
2435 "vadAssistedEndpointingEnabled": true,
2436 "speechModel": "universal-streaming-english",
2437 "realtimeUrl": "string",
2438 "wordBoost": [
2439 "string"
2440 ],
2441 "keytermsPrompt": [
2442 "string"
2443 ],
2444 "endUtteranceSilenceThreshold": 1.1,
2445 "disablePartialTranscripts": true,
2446 "fallbackPlan": {
2447 "transcribers": [
2448 {
2449 "provider": {},
2450 "language": {},
2451 "confidenceThreshold": 0.4,
2452 "formatTurns": true,
2453 "endOfTurnConfidenceThreshold": 0.7,
2454 "minEndOfTurnSilenceWhenConfident": 160,
2455 "wordFinalizationMaxWaitTime": 160,
2456 "maxTurnSilence": 400,
2457 "vadAssistedEndpointingEnabled": true,
2458 "speechModel": {},
2459 "realtimeUrl": {},
2460 "wordBoost": {},
2461 "keytermsPrompt": {},
2462 "endUtteranceSilenceThreshold": {},
2463 "disablePartialTranscripts": {}
2464 }
2465 ]
2466 }
2467 },
2468 "model": {
2469 "messages": [
2470 {
2471 "content": "string",
2472 "role": "assistant"
2473 }
2474 ],
2475 "tools": [
2476 {
2477 "messages": [
2478 {
2479 "contents": {},
2480 "type": {},
2481 "blocking": false,
2482 "content": {},
2483 "conditions": {}
2484 }
2485 ],
2486 "type": "apiRequest",
2487 "method": "POST",
2488 "timeoutSeconds": 20,
2489 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
2490 "encryptedPaths": [
2491 "string"
2492 ],
2493 "parameters": [
2494 {
2495 "key": "string",
2496 "value": {}
2497 }
2498 ],
2499 "name": "string",
2500 "description": "string",
2501 "url": "string",
2502 "body": {
2503 "type": {},
2504 "items": {},
2505 "properties": {},
2506 "description": {},
2507 "pattern": {},
2508 "format": {},
2509 "required": {},
2510 "enum": {},
2511 "title": {}
2512 },
2513 "headers": {
2514 "type": {},
2515 "items": {},
2516 "properties": {},
2517 "description": {},
2518 "pattern": {},
2519 "format": {},
2520 "required": {},
2521 "enum": {},
2522 "title": {}
2523 },
2524 "backoffPlan": {
2525 "type": "fixed",
2526 "maxRetries": 0,
2527 "baseDelaySeconds": 1,
2528 "excludedStatusCodes": [
2529 400,
2530 401,
2531 403,
2532 404
2533 ]
2534 },
2535 "variableExtractionPlan": {
2536 "schema": {},
2537 "aliases": {}
2538 },
2539 "rejectionPlan": {
2540 "conditions": "[{ type: \"regex\", regex: \"(?i)\\\\b(cancel|stop)\\\\b\", target: { role: \"user\" } }]"
2541 }
2542 }
2543 ],
2544 "toolIds": [
2545 "string"
2546 ],
2547 "knowledgeBase": {
2548 "provider": "custom-knowledge-base",
2549 "server": {
2550 "timeoutSeconds": 20,
2551 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
2552 "staticIpAddressesEnabled": false,
2553 "encryptedPaths": {},
2554 "url": {},
2555 "headers": {},
2556 "backoffPlan": {}
2557 }
2558 },
2559 "model": "claude-3-opus-20240229",
2560 "provider": "anthropic",
2561 "thinking": {
2562 "type": "enabled",
2563 "budgetTokens": 50500
2564 },
2565 "temperature": 1.1,
2566 "maxTokens": 5030,
2567 "emotionRecognitionEnabled": true,
2568 "numFastTurns": 1.1
2569 },
2570 "voice": {
2571 "cachingEnabled": true,
2572 "provider": "azure",
2573 "voiceId": "andrew",
2574 "chunkPlan": {
2575 "enabled": true,
2576 "minCharacters": 30,
2577 "punctuationBoundaries": "。",
2578 "formatPlan": {
2579 "enabled": true,
2580 "numberToDigitsCutoff": 2025,
2581 "replacements": {},
2582 "formattersEnabled": {}
2583 }
2584 },
2585 "speed": 1.1,
2586 "fallbackPlan": {
2587 "voices": [
2588 {
2589 "cachingEnabled": true,
2590 "provider": {},
2591 "voiceId": {},
2592 "speed": {},
2593 "chunkPlan": {},
2594 "oneOf": {}
2595 }
2596 ]
2597 }
2598 },
2599 "firstMessage": "Hello! How can I help you today?",
2600 "firstMessageInterruptionsEnabled": false,
2601 "firstMessageMode": "assistant-speaks-first",
2602 "voicemailDetection": "off",
2603 "clientMessages": "conversation-update",
2604 "serverMessages": "assistant.started",
2605 "maxDurationSeconds": 600,
2606 "backgroundSound": "off",
2607 "modelOutputInMessagesEnabled": false,
2608 "transportConfigurations": [
2609 {
2610 "provider": "twilio",
2611 "timeout": 60,
2612 "record": false,
2613 "recordingChannels": "mono"
2614 }
2615 ],
2616 "observabilityPlan": {
2617 "provider": "langfuse",
2618 "promptName": "string",
2619 "promptVersion": 1.1,
2620 "traceName": "string",
2621 "tags": [
2622 "string"
2623 ],
2624 "metadata": {}
2625 },
2626 "credentials": [
2627 {
2628 "provider": "anthropic",
2629 "apiKey": "string",
2630 "name": "string"
2631 }
2632 ],
2633 "hooks": [
2634 {
2635 "on": "call.ending",
2636 "do": [
2637 {
2638 "type": "tool",
2639 "tool": {
2640 "messages": {},
2641 "type": {},
2642 "method": {},
2643 "timeoutSeconds": 20,
2644 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
2645 "encryptedPaths": {},
2646 "parameters": {},
2647 "name": {},
2648 "description": {},
2649 "url": {},
2650 "body": {},
2651 "headers": {},
2652 "backoffPlan": {},
2653 "variableExtractionPlan": {},
2654 "rejectionPlan": {}
2655 },
2656 "toolId": "string"
2657 }
2658 ],
2659 "filters": [
2660 {
2661 "type": "oneOf",
2662 "key": "string",
2663 "oneOf": [
2664 "string"
2665 ]
2666 }
2667 ]
2668 }
2669 ],
2670 "tools:append": [
2671 {
2672 "messages": [
2673 {
2674 "contents": [
2675 {
2676 "type": {},
2677 "text": {},
2678 "language": {}
2679 }
2680 ],
2681 "type": "request-start",
2682 "blocking": false,
2683 "content": "string",
2684 "conditions": [
2685 {
2686 "operator": "eq",
2687 "param": "string",
2688 "value": "string"
2689 }
2690 ]
2691 }
2692 ],
2693 "type": "apiRequest",
2694 "method": "POST",
2695 "timeoutSeconds": 20,
2696 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
2697 "encryptedPaths": [
2698 "string"
2699 ],
2700 "parameters": [
2701 {
2702 "key": "string",
2703 "value": {}
2704 }
2705 ],
2706 "name": "string",
2707 "description": "string",
2708 "url": "string",
2709 "body": {
2710 "type": "string",
2711 "items": {},
2712 "properties": {},
2713 "description": "string",
2714 "pattern": "string",
2715 "format": "date-time",
2716 "required": [
2717 "string"
2718 ],
2719 "enum": [
2720 "string"
2721 ],
2722 "title": "string"
2723 },
2724 "headers": {
2725 "type": "string",
2726 "items": {},
2727 "properties": {},
2728 "description": "string",
2729 "pattern": "string",
2730 "format": "date-time",
2731 "required": [
2732 "string"
2733 ],
2734 "enum": [
2735 "string"
2736 ],
2737 "title": "string"
2738 },
2739 "backoffPlan": {
2740 "type": "fixed",
2741 "maxRetries": 0,
2742 "baseDelaySeconds": 1,
2743 "excludedStatusCodes": [
2744 400,
2745 401,
2746 403,
2747 404
2748 ]
2749 },
2750 "variableExtractionPlan": {
2751 "schema": {
2752 "type": {},
2753 "items": {},
2754 "properties": {},
2755 "description": {},
2756 "pattern": {},
2757 "format": {},
2758 "required": {},
2759 "enum": {},
2760 "title": {}
2761 },
2762 "aliases": [
2763 {
2764 "key": "string",
2765 "value": "string"
2766 }
2767 ]
2768 },
2769 "rejectionPlan": {
2770 "conditions": [
2771 {
2772 "type": "regex",
2773 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
2774 }
2775 ]
2776 }
2777 }
2778 ],
2779 "variableValues": {},
2780 "name": "string",
2781 "voicemailMessage": "string",
2782 "endCallMessage": "string",
2783 "endCallPhrases": [
2784 "string"
2785 ],
2786 "compliancePlan": {
2787 "hipaaEnabled": true,
2788 "pciEnabled": {
2789 "pciEnabled": false
2790 },
2791 "securityFilterPlan": {
2792 "enabled": false,
2793 "filters": [
2794 {}
2795 ],
2796 "mode": "sanitize",
2797 "replacementText": "[FILTERED]"
2798 },
2799 "recordingConsentPlan": {
2800 "message": "For quality purposes, this call may be recorded. Please stay on the line if you agree or end the call if you do not consent.",
2801 "voice": {
2802 "cachingEnabled": true,
2803 "provider": "azure",
2804 "voiceId": "andrew",
2805 "chunkPlan": {},
2806 "speed": 1.1,
2807 "fallbackPlan": {}
2808 },
2809 "type": "stay-on-line",
2810 "waitSeconds": 3
2811 }
2812 },
2813 "metadata": {},
2814 "backgroundSpeechDenoisingPlan": {
2815 "smartDenoisingPlan": {
2816 "enabled": true
2817 },
2818 "fourierDenoisingPlan": {
2819 "enabled": false,
2820 "mediaDetectionEnabled": true,
2821 "staticThreshold": -35,
2822 "baselineOffsetDb": -15,
2823 "windowSizeMs": 3000,
2824 "baselinePercentile": 85
2825 }
2826 },
2827 "analysisPlan": {
2828 "minMessagesThreshold": 1.1,
2829 "summaryPlan": {
2830 "messages": [
2831 {}
2832 ],
2833 "enabled": true,
2834 "timeoutSeconds": 1.1
2835 },
2836 "structuredDataPlan": {
2837 "messages": [
2838 {}
2839 ],
2840 "enabled": true,
2841 "schema": {
2842 "type": {},
2843 "items": {},
2844 "properties": {},
2845 "description": {},
2846 "pattern": {},
2847 "format": {},
2848 "required": {},
2849 "enum": {},
2850 "title": {}
2851 },
2852 "timeoutSeconds": 1.1
2853 },
2854 "structuredDataMultiPlan": [
2855 {
2856 "key": "string",
2857 "plan": {
2858 "messages": [
2859 {}
2860 ],
2861 "enabled": true,
2862 "schema": {},
2863 "timeoutSeconds": 1.1
2864 }
2865 }
2866 ],
2867 "successEvaluationPlan": {
2868 "rubric": "NumericScale",
2869 "messages": [
2870 {}
2871 ],
2872 "enabled": true,
2873 "timeoutSeconds": 1.1
2874 },
2875 "outcomeIds": [
2876 "string"
2877 ]
2878 },
2879 "artifactPlan": {
2880 "recordingEnabled": true,
2881 "recordingFormat": "wav;l16",
2882 "recordingUseCustomStorageEnabled": true,
2883 "videoRecordingEnabled": false,
2884 "fullMessageHistoryEnabled": false,
2885 "pcapEnabled": true,
2886 "pcapS3PathPrefix": "/pcaps",
2887 "pcapUseCustomStorageEnabled": true,
2888 "loggingEnabled": true,
2889 "loggingUseCustomStorageEnabled": true,
2890 "transcriptPlan": {
2891 "enabled": true,
2892 "assistantName": "string",
2893 "userName": "string"
2894 },
2895 "recordingPath": "string",
2896 "structuredOutputIds": [
2897 "string"
2898 ],
2899 "structuredOutputs": [
2900 {
2901 "type": "ai",
2902 "regex": "string",
2903 "model": {
2904 "provider": "openai",
2905 "model": "gpt-5.4",
2906 "temperature": 1.1,
2907 "maxTokens": 5030
2908 },
2909 "compliancePlan": {
2910 "forceStoreOnHipaaEnabled": false
2911 },
2912 "name": "string",
2913 "schema": {
2914 "type": "string",
2915 "items": {},
2916 "properties": {},
2917 "description": "string",
2918 "pattern": "string",
2919 "format": "date-time",
2920 "required": [
2921 "string"
2922 ],
2923 "enum": [
2924 "string"
2925 ],
2926 "title": "string"
2927 },
2928 "description": "string",
2929 "assistantIds": [
2930 "string"
2931 ],
2932 "workflowIds": [
2933 "string"
2934 ]
2935 }
2936 ],
2937 "scorecardIds": [
2938 "string"
2939 ],
2940 "scorecards": [
2941 {
2942 "name": "string",
2943 "description": "string",
2944 "metrics": [
2945 {
2946 "structuredOutputId": "string",
2947 "conditions": [
2948 {}
2949 ]
2950 }
2951 ],
2952 "assistantIds": [
2953 "string"
2954 ]
2955 }
2956 ],
2957 "loggingPath": "string"
2958 },
2959 "startSpeakingPlan": {
2960 "waitSeconds": 0.4,
2961 "smartEndpointingEnabled": false,
2962 "smartEndpointingPlan": {
2963 "provider": "vapi"
2964 },
2965 "customEndpointingRules": [
2966 {
2967 "type": "assistant",
2968 "regex": "string",
2969 "regexOptions": [
2970 {
2971 "type": "ignore-case",
2972 "enabled": true
2973 }
2974 ],
2975 "timeoutSeconds": 1.1
2976 }
2977 ],
2978 "transcriptionEndpointingPlan": {
2979 "onPunctuationSeconds": 0.1,
2980 "onNoPunctuationSeconds": 1.5,
2981 "onNumberSeconds": 0.5
2982 }
2983 },
2984 "stopSpeakingPlan": {
2985 "numWords": 0,
2986 "voiceSeconds": 0.2,
2987 "backoffSeconds": 1,
2988 "acknowledgementPhrases": [
2989 "i understand",
2990 "i see",
2991 "i got it",
2992 "i hear you",
2993 "im listening",
2994 "im with you",
2995 "right",
2996 "okay",
2997 "ok",
2998 "sure",
2999 "alright",
3000 "got it",
3001 "understood",
3002 "yeah",
3003 "yes",
3004 "uh-huh",
3005 "mm-hmm",
3006 "gotcha",
3007 "mhmm",
3008 "ah",
3009 "yeah okay",
3010 "yeah sure"
3011 ],
3012 "interruptionPhrases": [
3013 "stop",
3014 "shut",
3015 "up",
3016 "enough",
3017 "quiet",
3018 "silence",
3019 "but",
3020 "dont",
3021 "not",
3022 "no",
3023 "hold",
3024 "wait",
3025 "cut",
3026 "pause",
3027 "nope",
3028 "nah",
3029 "nevermind",
3030 "never",
3031 "bad",
3032 "actually"
3033 ]
3034 },
3035 "monitorPlan": {
3036 "listenEnabled": false,
3037 "listenAuthenticationEnabled": false,
3038 "controlEnabled": false,
3039 "controlAuthenticationEnabled": false,
3040 "monitorIds": [
3041 "123e4567-e89b-12d3-a456-426614174000"
3042 ]
3043 },
3044 "credentialIds": [
3045 "string"
3046 ],
3047 "server": {
3048 "timeoutSeconds": 20,
3049 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
3050 "staticIpAddressesEnabled": false,
3051 "encryptedPaths": [
3052 "string"
3053 ],
3054 "url": "string",
3055 "headers": {},
3056 "backoffPlan": {
3057 "type": "fixed",
3058 "maxRetries": 0,
3059 "baseDelaySeconds": 1,
3060 "excludedStatusCodes": [
3061 400,
3062 401,
3063 403,
3064 404
3065 ]
3066 }
3067 },
3068 "keypadInputPlan": {
3069 "enabled": true,
3070 "timeoutSeconds": 1.1,
3071 "delimiters": "#"
3072 }
3073 }
3074 }
3075 ],
3076 "membersOverrides": {
3077 "transcriber": {
3078 "provider": "assembly-ai",
3079 "language": "multi",
3080 "confidenceThreshold": 0.4,
3081 "formatTurns": true,
3082 "endOfTurnConfidenceThreshold": 0.7,
3083 "minEndOfTurnSilenceWhenConfident": 160,
3084 "wordFinalizationMaxWaitTime": 160,
3085 "maxTurnSilence": 400,
3086 "vadAssistedEndpointingEnabled": true,
3087 "speechModel": "universal-streaming-english",
3088 "realtimeUrl": "string",
3089 "wordBoost": [
3090 "string"
3091 ],
3092 "keytermsPrompt": [
3093 "string"
3094 ],
3095 "endUtteranceSilenceThreshold": 1.1,
3096 "disablePartialTranscripts": true,
3097 "fallbackPlan": {
3098 "transcribers": [
3099 {
3100 "provider": "assembly-ai",
3101 "language": "multi",
3102 "confidenceThreshold": 0.4,
3103 "formatTurns": true,
3104 "endOfTurnConfidenceThreshold": 0.7,
3105 "minEndOfTurnSilenceWhenConfident": 160,
3106 "wordFinalizationMaxWaitTime": 160,
3107 "maxTurnSilence": 400,
3108 "vadAssistedEndpointingEnabled": true,
3109 "speechModel": "universal-streaming-english",
3110 "realtimeUrl": "string",
3111 "wordBoost": [
3112 "string"
3113 ],
3114 "keytermsPrompt": [
3115 "string"
3116 ],
3117 "endUtteranceSilenceThreshold": 1.1,
3118 "disablePartialTranscripts": true
3119 }
3120 ]
3121 }
3122 },
3123 "model": {
3124 "messages": [
3125 {
3126 "content": "string",
3127 "role": "assistant"
3128 }
3129 ],
3130 "tools": [
3131 {
3132 "messages": [
3133 {
3134 "contents": [
3135 {}
3136 ],
3137 "type": "request-start",
3138 "blocking": false,
3139 "content": "string",
3140 "conditions": [
3141 {
3142 "operator": {},
3143 "param": {},
3144 "value": {}
3145 }
3146 ]
3147 }
3148 ],
3149 "type": "apiRequest",
3150 "method": "POST",
3151 "timeoutSeconds": 20,
3152 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
3153 "encryptedPaths": [
3154 "string"
3155 ],
3156 "parameters": [
3157 {
3158 "key": "string",
3159 "value": {}
3160 }
3161 ],
3162 "name": "string",
3163 "description": "string",
3164 "url": "string",
3165 "body": {
3166 "type": "string",
3167 "items": {},
3168 "properties": {},
3169 "description": "string",
3170 "pattern": "string",
3171 "format": "date-time",
3172 "required": [
3173 "string"
3174 ],
3175 "enum": [
3176 "string"
3177 ],
3178 "title": "string"
3179 },
3180 "headers": {
3181 "type": "string",
3182 "items": {},
3183 "properties": {},
3184 "description": "string",
3185 "pattern": "string",
3186 "format": "date-time",
3187 "required": [
3188 "string"
3189 ],
3190 "enum": [
3191 "string"
3192 ],
3193 "title": "string"
3194 },
3195 "backoffPlan": {
3196 "type": "fixed",
3197 "maxRetries": 0,
3198 "baseDelaySeconds": 1,
3199 "excludedStatusCodes": [
3200 400,
3201 401,
3202 403,
3203 404
3204 ]
3205 },
3206 "variableExtractionPlan": {
3207 "schema": {},
3208 "aliases": [
3209 {
3210 "key": {},
3211 "value": {}
3212 }
3213 ]
3214 },
3215 "rejectionPlan": {
3216 "conditions": [
3217 "[{ type: \"regex\", regex: \"(?i)\\\\b(cancel|stop)\\\\b\", target: { role: \"user\" } }]"
3218 ]
3219 }
3220 }
3221 ],
3222 "toolIds": [
3223 "string"
3224 ],
3225 "knowledgeBase": {
3226 "provider": "custom-knowledge-base",
3227 "server": {
3228 "timeoutSeconds": 20,
3229 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
3230 "staticIpAddressesEnabled": false,
3231 "encryptedPaths": [
3232 "string"
3233 ],
3234 "url": "string",
3235 "headers": {},
3236 "backoffPlan": {}
3237 }
3238 },
3239 "model": "claude-3-opus-20240229",
3240 "provider": "anthropic",
3241 "thinking": {
3242 "type": "enabled",
3243 "budgetTokens": 50500
3244 },
3245 "temperature": 1.1,
3246 "maxTokens": 5030,
3247 "emotionRecognitionEnabled": true,
3248 "numFastTurns": 1.1
3249 },
3250 "voice": {
3251 "cachingEnabled": true,
3252 "provider": "azure",
3253 "voiceId": "andrew",
3254 "chunkPlan": {
3255 "enabled": true,
3256 "minCharacters": 30,
3257 "punctuationBoundaries": "。",
3258 "formatPlan": {
3259 "enabled": true,
3260 "numberToDigitsCutoff": 2025,
3261 "replacements": [
3262 {}
3263 ],
3264 "formattersEnabled": "markdown"
3265 }
3266 },
3267 "speed": 1.1,
3268 "fallbackPlan": {
3269 "voices": [
3270 {
3271 "cachingEnabled": true,
3272 "provider": "azure",
3273 "voiceId": "andrew",
3274 "speed": 1.1,
3275 "chunkPlan": {},
3276 "oneOf": null
3277 }
3278 ]
3279 }
3280 },
3281 "firstMessage": "Hello! How can I help you today?",
3282 "firstMessageInterruptionsEnabled": false,
3283 "firstMessageMode": "assistant-speaks-first",
3284 "voicemailDetection": "off",
3285 "clientMessages": "conversation-update",
3286 "serverMessages": "assistant.started",
3287 "maxDurationSeconds": 600,
3288 "backgroundSound": "off",
3289 "modelOutputInMessagesEnabled": false,
3290 "transportConfigurations": [
3291 {
3292 "provider": "twilio",
3293 "timeout": 60,
3294 "record": false,
3295 "recordingChannels": "mono"
3296 }
3297 ],
3298 "observabilityPlan": {
3299 "provider": "langfuse",
3300 "promptName": "string",
3301 "promptVersion": 1.1,
3302 "traceName": "string",
3303 "tags": [
3304 "string"
3305 ],
3306 "metadata": {}
3307 },
3308 "credentials": [
3309 {
3310 "provider": "anthropic",
3311 "apiKey": "string",
3312 "name": "string"
3313 }
3314 ],
3315 "hooks": [
3316 {
3317 "on": "call.ending",
3318 "do": [
3319 {
3320 "type": "tool",
3321 "tool": {
3322 "messages": [
3323 {}
3324 ],
3325 "type": "apiRequest",
3326 "method": "POST",
3327 "timeoutSeconds": 20,
3328 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
3329 "encryptedPaths": [
3330 "string"
3331 ],
3332 "parameters": [
3333 {
3334 "key": {},
3335 "value": {}
3336 }
3337 ],
3338 "name": "string",
3339 "description": "string",
3340 "url": "string",
3341 "body": {},
3342 "headers": {},
3343 "backoffPlan": {},
3344 "variableExtractionPlan": {},
3345 "rejectionPlan": {}
3346 },
3347 "toolId": "string"
3348 }
3349 ],
3350 "filters": [
3351 {
3352 "type": "oneOf",
3353 "key": "string",
3354 "oneOf": [
3355 "string"
3356 ]
3357 }
3358 ]
3359 }
3360 ],
3361 "tools:append": [
3362 {
3363 "messages": [
3364 {
3365 "contents": [
3366 {
3367 "type": "text",
3368 "text": "string",
3369 "language": "aa"
3370 }
3371 ],
3372 "type": "request-start",
3373 "blocking": false,
3374 "content": "string",
3375 "conditions": [
3376 {
3377 "operator": "eq",
3378 "param": "string",
3379 "value": "string"
3380 }
3381 ]
3382 }
3383 ],
3384 "type": "apiRequest",
3385 "method": "POST",
3386 "timeoutSeconds": 20,
3387 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
3388 "encryptedPaths": [
3389 "string"
3390 ],
3391 "parameters": [
3392 {
3393 "key": "string",
3394 "value": {}
3395 }
3396 ],
3397 "name": "string",
3398 "description": "string",
3399 "url": "string",
3400 "body": {
3401 "type": "string",
3402 "items": {},
3403 "properties": {},
3404 "description": "string",
3405 "pattern": "string",
3406 "format": "date-time",
3407 "required": [
3408 "string"
3409 ],
3410 "enum": [
3411 "string"
3412 ],
3413 "title": "string"
3414 },
3415 "headers": {
3416 "type": "string",
3417 "items": {},
3418 "properties": {},
3419 "description": "string",
3420 "pattern": "string",
3421 "format": "date-time",
3422 "required": [
3423 "string"
3424 ],
3425 "enum": [
3426 "string"
3427 ],
3428 "title": "string"
3429 },
3430 "backoffPlan": {
3431 "type": "fixed",
3432 "maxRetries": 0,
3433 "baseDelaySeconds": 1,
3434 "excludedStatusCodes": [
3435 400,
3436 401,
3437 403,
3438 404
3439 ]
3440 },
3441 "variableExtractionPlan": {
3442 "schema": {
3443 "type": "string",
3444 "items": {},
3445 "properties": {},
3446 "description": "string",
3447 "pattern": "string",
3448 "format": "date-time",
3449 "required": [
3450 "string"
3451 ],
3452 "enum": [
3453 "string"
3454 ],
3455 "title": "string"
3456 },
3457 "aliases": [
3458 {
3459 "key": "string",
3460 "value": "string"
3461 }
3462 ]
3463 },
3464 "rejectionPlan": {
3465 "conditions": [
3466 {
3467 "type": "regex",
3468 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
3469 }
3470 ]
3471 }
3472 }
3473 ],
3474 "variableValues": {},
3475 "name": "string",
3476 "voicemailMessage": "string",
3477 "endCallMessage": "string",
3478 "endCallPhrases": [
3479 "string"
3480 ],
3481 "compliancePlan": {
3482 "hipaaEnabled": true,
3483 "pciEnabled": {
3484 "pciEnabled": false
3485 },
3486 "securityFilterPlan": {
3487 "enabled": false,
3488 "filters": [
3489 {}
3490 ],
3491 "mode": "sanitize",
3492 "replacementText": "[FILTERED]"
3493 },
3494 "recordingConsentPlan": {
3495 "message": "For quality purposes, this call may be recorded. Please stay on the line if you agree or end the call if you do not consent.",
3496 "voice": {
3497 "cachingEnabled": true,
3498 "provider": "azure",
3499 "voiceId": "andrew",
3500 "chunkPlan": {
3501 "enabled": true,
3502 "minCharacters": 30,
3503 "punctuationBoundaries": [
3504 "。",
3505 ",",
3506 ".",
3507 "!",
3508 "?",
3509 ";",
3510 "،",
3511 "۔",
3512 "।",
3513 "॥",
3514 "|",
3515 "||",
3516 ",",
3517 ":"
3518 ],
3519 "formatPlan": {}
3520 },
3521 "speed": 1.1,
3522 "fallbackPlan": {
3523 "voices": {}
3524 }
3525 },
3526 "type": "stay-on-line",
3527 "waitSeconds": 3
3528 }
3529 },
3530 "metadata": {},
3531 "backgroundSpeechDenoisingPlan": {
3532 "smartDenoisingPlan": {
3533 "enabled": true
3534 },
3535 "fourierDenoisingPlan": {
3536 "enabled": false,
3537 "mediaDetectionEnabled": true,
3538 "staticThreshold": -35,
3539 "baselineOffsetDb": -15,
3540 "windowSizeMs": 3000,
3541 "baselinePercentile": 85
3542 }
3543 },
3544 "analysisPlan": {
3545 "minMessagesThreshold": 1.1,
3546 "summaryPlan": {
3547 "messages": [
3548 {}
3549 ],
3550 "enabled": true,
3551 "timeoutSeconds": 1.1
3552 },
3553 "structuredDataPlan": {
3554 "messages": [
3555 {}
3556 ],
3557 "enabled": true,
3558 "schema": {
3559 "type": "string",
3560 "items": {},
3561 "properties": {},
3562 "description": "string",
3563 "pattern": "string",
3564 "format": "date-time",
3565 "required": [
3566 "string"
3567 ],
3568 "enum": [
3569 "string"
3570 ],
3571 "title": "string"
3572 },
3573 "timeoutSeconds": 1.1
3574 },
3575 "structuredDataMultiPlan": [
3576 {
3577 "key": "string",
3578 "plan": {
3579 "messages": [
3580 {}
3581 ],
3582 "enabled": true,
3583 "schema": {
3584 "type": {},
3585 "items": {},
3586 "properties": {},
3587 "description": {},
3588 "pattern": {},
3589 "format": {},
3590 "required": {},
3591 "enum": {},
3592 "title": {}
3593 },
3594 "timeoutSeconds": 1.1
3595 }
3596 }
3597 ],
3598 "successEvaluationPlan": {
3599 "rubric": "NumericScale",
3600 "messages": [
3601 {}
3602 ],
3603 "enabled": true,
3604 "timeoutSeconds": 1.1
3605 },
3606 "outcomeIds": [
3607 "string"
3608 ]
3609 },
3610 "artifactPlan": {
3611 "recordingEnabled": true,
3612 "recordingFormat": "wav;l16",
3613 "recordingUseCustomStorageEnabled": true,
3614 "videoRecordingEnabled": false,
3615 "fullMessageHistoryEnabled": false,
3616 "pcapEnabled": true,
3617 "pcapS3PathPrefix": "/pcaps",
3618 "pcapUseCustomStorageEnabled": true,
3619 "loggingEnabled": true,
3620 "loggingUseCustomStorageEnabled": true,
3621 "transcriptPlan": {
3622 "enabled": true,
3623 "assistantName": "string",
3624 "userName": "string"
3625 },
3626 "recordingPath": "string",
3627 "structuredOutputIds": [
3628 "string"
3629 ],
3630 "structuredOutputs": [
3631 {
3632 "type": "ai",
3633 "regex": "string",
3634 "model": {
3635 "provider": "openai",
3636 "model": "gpt-5.4",
3637 "temperature": 1.1,
3638 "maxTokens": 5030
3639 },
3640 "compliancePlan": {
3641 "forceStoreOnHipaaEnabled": false
3642 },
3643 "name": "string",
3644 "schema": {
3645 "type": "string",
3646 "items": {},
3647 "properties": {},
3648 "description": "string",
3649 "pattern": "string",
3650 "format": "date-time",
3651 "required": [
3652 "string"
3653 ],
3654 "enum": [
3655 "string"
3656 ],
3657 "title": "string"
3658 },
3659 "description": "string",
3660 "assistantIds": [
3661 "string"
3662 ],
3663 "workflowIds": [
3664 "string"
3665 ]
3666 }
3667 ],
3668 "scorecardIds": [
3669 "string"
3670 ],
3671 "scorecards": [
3672 {
3673 "name": "string",
3674 "description": "string",
3675 "metrics": [
3676 {
3677 "structuredOutputId": "string",
3678 "conditions": [
3679 {}
3680 ]
3681 }
3682 ],
3683 "assistantIds": [
3684 "string"
3685 ]
3686 }
3687 ],
3688 "loggingPath": "string"
3689 },
3690 "startSpeakingPlan": {
3691 "waitSeconds": 0.4,
3692 "smartEndpointingEnabled": false,
3693 "smartEndpointingPlan": {
3694 "provider": "vapi"
3695 },
3696 "customEndpointingRules": [
3697 {
3698 "type": "assistant",
3699 "regex": "string",
3700 "regexOptions": [
3701 {
3702 "type": "ignore-case",
3703 "enabled": true
3704 }
3705 ],
3706 "timeoutSeconds": 1.1
3707 }
3708 ],
3709 "transcriptionEndpointingPlan": {
3710 "onPunctuationSeconds": 0.1,
3711 "onNoPunctuationSeconds": 1.5,
3712 "onNumberSeconds": 0.5
3713 }
3714 },
3715 "stopSpeakingPlan": {
3716 "numWords": 0,
3717 "voiceSeconds": 0.2,
3718 "backoffSeconds": 1,
3719 "acknowledgementPhrases": [
3720 "i understand",
3721 "i see",
3722 "i got it",
3723 "i hear you",
3724 "im listening",
3725 "im with you",
3726 "right",
3727 "okay",
3728 "ok",
3729 "sure",
3730 "alright",
3731 "got it",
3732 "understood",
3733 "yeah",
3734 "yes",
3735 "uh-huh",
3736 "mm-hmm",
3737 "gotcha",
3738 "mhmm",
3739 "ah",
3740 "yeah okay",
3741 "yeah sure"
3742 ],
3743 "interruptionPhrases": [
3744 "stop",
3745 "shut",
3746 "up",
3747 "enough",
3748 "quiet",
3749 "silence",
3750 "but",
3751 "dont",
3752 "not",
3753 "no",
3754 "hold",
3755 "wait",
3756 "cut",
3757 "pause",
3758 "nope",
3759 "nah",
3760 "nevermind",
3761 "never",
3762 "bad",
3763 "actually"
3764 ]
3765 },
3766 "monitorPlan": {
3767 "listenEnabled": false,
3768 "listenAuthenticationEnabled": false,
3769 "controlEnabled": false,
3770 "controlAuthenticationEnabled": false,
3771 "monitorIds": [
3772 "123e4567-e89b-12d3-a456-426614174000"
3773 ]
3774 },
3775 "credentialIds": [
3776 "string"
3777 ],
3778 "server": {
3779 "timeoutSeconds": 20,
3780 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
3781 "staticIpAddressesEnabled": false,
3782 "encryptedPaths": [
3783 "string"
3784 ],
3785 "url": "string",
3786 "headers": {},
3787 "backoffPlan": {
3788 "type": "fixed",
3789 "maxRetries": 0,
3790 "baseDelaySeconds": 1,
3791 "excludedStatusCodes": [
3792 400,
3793 401,
3794 403,
3795 404
3796 ]
3797 }
3798 },
3799 "keypadInputPlan": {
3800 "enabled": true,
3801 "timeoutSeconds": 1.1,
3802 "delimiters": "#"
3803 }
3804 }
3805 },
3806 "squadOverrides": {
3807 "transcriber": {
3808 "provider": "assembly-ai",
3809 "language": "multi",
3810 "confidenceThreshold": 0.4,
3811 "formatTurns": true,
3812 "endOfTurnConfidenceThreshold": 0.7,
3813 "minEndOfTurnSilenceWhenConfident": 160,
3814 "wordFinalizationMaxWaitTime": 160,
3815 "maxTurnSilence": 400,
3816 "vadAssistedEndpointingEnabled": true,
3817 "speechModel": "universal-streaming-english",
3818 "realtimeUrl": "string",
3819 "wordBoost": [
3820 "string"
3821 ],
3822 "keytermsPrompt": [
3823 "string"
3824 ],
3825 "endUtteranceSilenceThreshold": 1.1,
3826 "disablePartialTranscripts": true,
3827 "fallbackPlan": {
3828 "transcribers": [
3829 {
3830 "provider": "assembly-ai",
3831 "language": "multi",
3832 "confidenceThreshold": 0.4,
3833 "formatTurns": true,
3834 "endOfTurnConfidenceThreshold": 0.7,
3835 "minEndOfTurnSilenceWhenConfident": 160,
3836 "wordFinalizationMaxWaitTime": 160,
3837 "maxTurnSilence": 400,
3838 "vadAssistedEndpointingEnabled": true,
3839 "speechModel": "universal-streaming-english",
3840 "realtimeUrl": "string",
3841 "wordBoost": [
3842 "string"
3843 ],
3844 "keytermsPrompt": [
3845 "string"
3846 ],
3847 "endUtteranceSilenceThreshold": 1.1,
3848 "disablePartialTranscripts": true
3849 }
3850 ]
3851 }
3852 },
3853 "model": {
3854 "messages": [
3855 {
3856 "content": "string",
3857 "role": "assistant"
3858 }
3859 ],
3860 "tools": [
3861 {
3862 "messages": [
3863 {
3864 "contents": [
3865 {
3866 "type": "text",
3867 "text": "string",
3868 "language": "aa"
3869 }
3870 ],
3871 "type": "request-start",
3872 "blocking": false,
3873 "content": "string",
3874 "conditions": [
3875 {
3876 "operator": "eq",
3877 "param": "string",
3878 "value": "string"
3879 }
3880 ]
3881 }
3882 ],
3883 "type": "apiRequest",
3884 "method": "POST",
3885 "timeoutSeconds": 20,
3886 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
3887 "encryptedPaths": [
3888 "string"
3889 ],
3890 "parameters": [
3891 {
3892 "key": "string",
3893 "value": {}
3894 }
3895 ],
3896 "name": "string",
3897 "description": "string",
3898 "url": "string",
3899 "body": {
3900 "type": "string",
3901 "items": {},
3902 "properties": {},
3903 "description": "string",
3904 "pattern": "string",
3905 "format": "date-time",
3906 "required": [
3907 "string"
3908 ],
3909 "enum": [
3910 "string"
3911 ],
3912 "title": "string"
3913 },
3914 "headers": {
3915 "type": "string",
3916 "items": {},
3917 "properties": {},
3918 "description": "string",
3919 "pattern": "string",
3920 "format": "date-time",
3921 "required": [
3922 "string"
3923 ],
3924 "enum": [
3925 "string"
3926 ],
3927 "title": "string"
3928 },
3929 "backoffPlan": {
3930 "type": "fixed",
3931 "maxRetries": 0,
3932 "baseDelaySeconds": 1,
3933 "excludedStatusCodes": [
3934 400,
3935 401,
3936 403,
3937 404
3938 ]
3939 },
3940 "variableExtractionPlan": {
3941 "schema": {
3942 "type": "string",
3943 "items": {},
3944 "properties": {},
3945 "description": "string",
3946 "pattern": "string",
3947 "format": "date-time",
3948 "required": [
3949 "string"
3950 ],
3951 "enum": [
3952 "string"
3953 ],
3954 "title": "string"
3955 },
3956 "aliases": [
3957 {
3958 "key": "string",
3959 "value": "string"
3960 }
3961 ]
3962 },
3963 "rejectionPlan": {
3964 "conditions": [
3965 {
3966 "type": "regex",
3967 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
3968 }
3969 ]
3970 }
3971 }
3972 ],
3973 "toolIds": [
3974 "string"
3975 ],
3976 "knowledgeBase": {
3977 "provider": "custom-knowledge-base",
3978 "server": {
3979 "timeoutSeconds": 20,
3980 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
3981 "staticIpAddressesEnabled": false,
3982 "encryptedPaths": [
3983 "string"
3984 ],
3985 "url": "string",
3986 "headers": {},
3987 "backoffPlan": {
3988 "type": "fixed",
3989 "maxRetries": 0,
3990 "baseDelaySeconds": 1,
3991 "excludedStatusCodes": [
3992 400,
3993 401,
3994 403,
3995 404
3996 ]
3997 }
3998 }
3999 },
4000 "model": "claude-3-opus-20240229",
4001 "provider": "anthropic",
4002 "thinking": {
4003 "type": "enabled",
4004 "budgetTokens": 50500
4005 },
4006 "temperature": 1.1,
4007 "maxTokens": 5030,
4008 "emotionRecognitionEnabled": true,
4009 "numFastTurns": 1.1
4010 },
4011 "voice": {
4012 "cachingEnabled": true,
4013 "provider": "azure",
4014 "voiceId": "andrew",
4015 "chunkPlan": {
4016 "enabled": true,
4017 "minCharacters": 30,
4018 "punctuationBoundaries": "。",
4019 "formatPlan": {
4020 "enabled": true,
4021 "numberToDigitsCutoff": 2025,
4022 "replacements": [
4023 {
4024 "type": "exact",
4025 "replaceAllEnabled": false,
4026 "key": "string",
4027 "value": "string"
4028 }
4029 ],
4030 "formattersEnabled": "markdown"
4031 }
4032 },
4033 "speed": 1.1,
4034 "fallbackPlan": {
4035 "voices": [
4036 {
4037 "cachingEnabled": true,
4038 "provider": "azure",
4039 "voiceId": "andrew",
4040 "speed": 1.1,
4041 "chunkPlan": {
4042 "enabled": true,
4043 "minCharacters": 30,
4044 "punctuationBoundaries": "。",
4045 "formatPlan": {}
4046 },
4047 "oneOf": null
4048 }
4049 ]
4050 }
4051 },
4052 "firstMessage": "Hello! How can I help you today?",
4053 "firstMessageInterruptionsEnabled": false,
4054 "firstMessageMode": "assistant-speaks-first",
4055 "voicemailDetection": "off",
4056 "clientMessages": "conversation-update",
4057 "serverMessages": "assistant.started",
4058 "maxDurationSeconds": 600,
4059 "backgroundSound": "off",
4060 "modelOutputInMessagesEnabled": false,
4061 "transportConfigurations": [
4062 {
4063 "provider": "twilio",
4064 "timeout": 60,
4065 "record": false,
4066 "recordingChannels": "mono"
4067 }
4068 ],
4069 "observabilityPlan": {
4070 "provider": "langfuse",
4071 "promptName": "string",
4072 "promptVersion": 1.1,
4073 "traceName": "string",
4074 "tags": [
4075 "string"
4076 ],
4077 "metadata": {}
4078 },
4079 "credentials": [
4080 {
4081 "provider": "anthropic",
4082 "apiKey": "string",
4083 "name": "string"
4084 }
4085 ],
4086 "hooks": [
4087 {
4088 "on": "call.ending",
4089 "do": [
4090 {
4091 "type": "tool",
4092 "tool": {
4093 "messages": [
4094 {
4095 "contents": [
4096 {}
4097 ],
4098 "type": "request-start",
4099 "blocking": false,
4100 "content": "string",
4101 "conditions": [
4102 {
4103 "operator": {},
4104 "param": {},
4105 "value": {}
4106 }
4107 ]
4108 }
4109 ],
4110 "type": "apiRequest",
4111 "method": "POST",
4112 "timeoutSeconds": 20,
4113 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
4114 "encryptedPaths": [
4115 "string"
4116 ],
4117 "parameters": [
4118 {
4119 "key": "string",
4120 "value": {}
4121 }
4122 ],
4123 "name": "string",
4124 "description": "string",
4125 "url": "string",
4126 "body": {
4127 "type": "string",
4128 "items": {},
4129 "properties": {},
4130 "description": "string",
4131 "pattern": "string",
4132 "format": "date-time",
4133 "required": [
4134 "string"
4135 ],
4136 "enum": [
4137 "string"
4138 ],
4139 "title": "string"
4140 },
4141 "headers": {
4142 "type": "string",
4143 "items": {},
4144 "properties": {},
4145 "description": "string",
4146 "pattern": "string",
4147 "format": "date-time",
4148 "required": [
4149 "string"
4150 ],
4151 "enum": [
4152 "string"
4153 ],
4154 "title": "string"
4155 },
4156 "backoffPlan": {
4157 "type": "fixed",
4158 "maxRetries": 0,
4159 "baseDelaySeconds": 1,
4160 "excludedStatusCodes": [
4161 400,
4162 401,
4163 403,
4164 404
4165 ]
4166 },
4167 "variableExtractionPlan": {
4168 "schema": {},
4169 "aliases": [
4170 {
4171 "key": {},
4172 "value": {}
4173 }
4174 ]
4175 },
4176 "rejectionPlan": {
4177 "conditions": [
4178 "[{ type: \"regex\", regex: \"(?i)\\\\b(cancel|stop)\\\\b\", target: { role: \"user\" } }]"
4179 ]
4180 }
4181 },
4182 "toolId": "string"
4183 }
4184 ],
4185 "filters": [
4186 {
4187 "type": "oneOf",
4188 "key": "string",
4189 "oneOf": [
4190 "string"
4191 ]
4192 }
4193 ]
4194 }
4195 ],
4196 "tools:append": [
4197 {
4198 "messages": [
4199 {
4200 "contents": [
4201 {
4202 "type": "text",
4203 "text": "string",
4204 "language": "aa"
4205 }
4206 ],
4207 "type": "request-start",
4208 "blocking": false,
4209 "content": "string",
4210 "conditions": [
4211 {
4212 "operator": "eq",
4213 "param": "string",
4214 "value": "string"
4215 }
4216 ]
4217 }
4218 ],
4219 "type": "apiRequest",
4220 "method": "POST",
4221 "timeoutSeconds": 20,
4222 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
4223 "encryptedPaths": [
4224 "string"
4225 ],
4226 "parameters": [
4227 {
4228 "key": "string",
4229 "value": {}
4230 }
4231 ],
4232 "name": "string",
4233 "description": "string",
4234 "url": "string",
4235 "body": {
4236 "type": "string",
4237 "items": {},
4238 "properties": {},
4239 "description": "string",
4240 "pattern": "string",
4241 "format": "date-time",
4242 "required": [
4243 "string"
4244 ],
4245 "enum": [
4246 "string"
4247 ],
4248 "title": "string"
4249 },
4250 "headers": {
4251 "type": "string",
4252 "items": {},
4253 "properties": {},
4254 "description": "string",
4255 "pattern": "string",
4256 "format": "date-time",
4257 "required": [
4258 "string"
4259 ],
4260 "enum": [
4261 "string"
4262 ],
4263 "title": "string"
4264 },
4265 "backoffPlan": {
4266 "type": "fixed",
4267 "maxRetries": 0,
4268 "baseDelaySeconds": 1,
4269 "excludedStatusCodes": [
4270 400,
4271 401,
4272 403,
4273 404
4274 ]
4275 },
4276 "variableExtractionPlan": {
4277 "schema": {
4278 "type": "string",
4279 "items": {},
4280 "properties": {},
4281 "description": "string",
4282 "pattern": "string",
4283 "format": "date-time",
4284 "required": [
4285 "string"
4286 ],
4287 "enum": [
4288 "string"
4289 ],
4290 "title": "string"
4291 },
4292 "aliases": [
4293 {
4294 "key": "string",
4295 "value": "string"
4296 }
4297 ]
4298 },
4299 "rejectionPlan": {
4300 "conditions": [
4301 {
4302 "type": "regex",
4303 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
4304 }
4305 ]
4306 }
4307 }
4308 ],
4309 "variableValues": {},
4310 "name": "string",
4311 "voicemailMessage": "string",
4312 "endCallMessage": "string",
4313 "endCallPhrases": [
4314 "string"
4315 ],
4316 "compliancePlan": {
4317 "hipaaEnabled": true,
4318 "pciEnabled": {
4319 "pciEnabled": false
4320 },
4321 "securityFilterPlan": {
4322 "enabled": false,
4323 "filters": [
4324 {}
4325 ],
4326 "mode": "sanitize",
4327 "replacementText": "[FILTERED]"
4328 },
4329 "recordingConsentPlan": {
4330 "message": "For quality purposes, this call may be recorded. Please stay on the line if you agree or end the call if you do not consent.",
4331 "voice": {
4332 "cachingEnabled": true,
4333 "provider": "azure",
4334 "voiceId": "andrew",
4335 "chunkPlan": {
4336 "enabled": true,
4337 "minCharacters": 30,
4338 "punctuationBoundaries": "。",
4339 "formatPlan": {
4340 "enabled": true,
4341 "numberToDigitsCutoff": 2025,
4342 "replacements": {},
4343 "formattersEnabled": {}
4344 }
4345 },
4346 "speed": 1.1,
4347 "fallbackPlan": {
4348 "voices": [
4349 {
4350 "cachingEnabled": true,
4351 "provider": {},
4352 "voiceId": {},
4353 "speed": {},
4354 "chunkPlan": {},
4355 "oneOf": {}
4356 }
4357 ]
4358 }
4359 },
4360 "type": "stay-on-line",
4361 "waitSeconds": 3
4362 }
4363 },
4364 "metadata": {},
4365 "backgroundSpeechDenoisingPlan": {
4366 "smartDenoisingPlan": {
4367 "enabled": true
4368 },
4369 "fourierDenoisingPlan": {
4370 "enabled": false,
4371 "mediaDetectionEnabled": true,
4372 "staticThreshold": -35,
4373 "baselineOffsetDb": -15,
4374 "windowSizeMs": 3000,
4375 "baselinePercentile": 85
4376 }
4377 },
4378 "analysisPlan": {
4379 "minMessagesThreshold": 1.1,
4380 "summaryPlan": {
4381 "messages": [
4382 {}
4383 ],
4384 "enabled": true,
4385 "timeoutSeconds": 1.1
4386 },
4387 "structuredDataPlan": {
4388 "messages": [
4389 {}
4390 ],
4391 "enabled": true,
4392 "schema": {
4393 "type": "string",
4394 "items": {},
4395 "properties": {},
4396 "description": "string",
4397 "pattern": "string",
4398 "format": "date-time",
4399 "required": [
4400 "string"
4401 ],
4402 "enum": [
4403 "string"
4404 ],
4405 "title": "string"
4406 },
4407 "timeoutSeconds": 1.1
4408 },
4409 "structuredDataMultiPlan": [
4410 {
4411 "key": "string",
4412 "plan": {
4413 "messages": [
4414 {}
4415 ],
4416 "enabled": true,
4417 "schema": {
4418 "type": "string",
4419 "items": {},
4420 "properties": {},
4421 "description": "string",
4422 "pattern": "string",
4423 "format": "date-time",
4424 "required": [
4425 "string"
4426 ],
4427 "enum": [
4428 "string"
4429 ],
4430 "title": "string"
4431 },
4432 "timeoutSeconds": 1.1
4433 }
4434 }
4435 ],
4436 "successEvaluationPlan": {
4437 "rubric": "NumericScale",
4438 "messages": [
4439 {}
4440 ],
4441 "enabled": true,
4442 "timeoutSeconds": 1.1
4443 },
4444 "outcomeIds": [
4445 "string"
4446 ]
4447 },
4448 "artifactPlan": {
4449 "recordingEnabled": true,
4450 "recordingFormat": "wav;l16",
4451 "recordingUseCustomStorageEnabled": true,
4452 "videoRecordingEnabled": false,
4453 "fullMessageHistoryEnabled": false,
4454 "pcapEnabled": true,
4455 "pcapS3PathPrefix": "/pcaps",
4456 "pcapUseCustomStorageEnabled": true,
4457 "loggingEnabled": true,
4458 "loggingUseCustomStorageEnabled": true,
4459 "transcriptPlan": {
4460 "enabled": true,
4461 "assistantName": "string",
4462 "userName": "string"
4463 },
4464 "recordingPath": "string",
4465 "structuredOutputIds": [
4466 "string"
4467 ],
4468 "structuredOutputs": [
4469 {
4470 "type": "ai",
4471 "regex": "string",
4472 "model": {
4473 "provider": "openai",
4474 "model": "gpt-5.4",
4475 "temperature": 1.1,
4476 "maxTokens": 5030
4477 },
4478 "compliancePlan": {
4479 "forceStoreOnHipaaEnabled": false
4480 },
4481 "name": "string",
4482 "schema": {
4483 "type": "string",
4484 "items": {},
4485 "properties": {},
4486 "description": "string",
4487 "pattern": "string",
4488 "format": "date-time",
4489 "required": [
4490 "string"
4491 ],
4492 "enum": [
4493 "string"
4494 ],
4495 "title": "string"
4496 },
4497 "description": "string",
4498 "assistantIds": [
4499 "string"
4500 ],
4501 "workflowIds": [
4502 "string"
4503 ]
4504 }
4505 ],
4506 "scorecardIds": [
4507 "string"
4508 ],
4509 "scorecards": [
4510 {
4511 "name": "string",
4512 "description": "string",
4513 "metrics": [
4514 {
4515 "structuredOutputId": "string",
4516 "conditions": [
4517 {}
4518 ]
4519 }
4520 ],
4521 "assistantIds": [
4522 "string"
4523 ]
4524 }
4525 ],
4526 "loggingPath": "string"
4527 },
4528 "startSpeakingPlan": {
4529 "waitSeconds": 0.4,
4530 "smartEndpointingEnabled": false,
4531 "smartEndpointingPlan": {
4532 "provider": "vapi"
4533 },
4534 "customEndpointingRules": [
4535 {
4536 "type": "assistant",
4537 "regex": "string",
4538 "regexOptions": [
4539 {
4540 "type": "ignore-case",
4541 "enabled": true
4542 }
4543 ],
4544 "timeoutSeconds": 1.1
4545 }
4546 ],
4547 "transcriptionEndpointingPlan": {
4548 "onPunctuationSeconds": 0.1,
4549 "onNoPunctuationSeconds": 1.5,
4550 "onNumberSeconds": 0.5
4551 }
4552 },
4553 "stopSpeakingPlan": {
4554 "numWords": 0,
4555 "voiceSeconds": 0.2,
4556 "backoffSeconds": 1,
4557 "acknowledgementPhrases": [
4558 "i understand",
4559 "i see",
4560 "i got it",
4561 "i hear you",
4562 "im listening",
4563 "im with you",
4564 "right",
4565 "okay",
4566 "ok",
4567 "sure",
4568 "alright",
4569 "got it",
4570 "understood",
4571 "yeah",
4572 "yes",
4573 "uh-huh",
4574 "mm-hmm",
4575 "gotcha",
4576 "mhmm",
4577 "ah",
4578 "yeah okay",
4579 "yeah sure"
4580 ],
4581 "interruptionPhrases": [
4582 "stop",
4583 "shut",
4584 "up",
4585 "enough",
4586 "quiet",
4587 "silence",
4588 "but",
4589 "dont",
4590 "not",
4591 "no",
4592 "hold",
4593 "wait",
4594 "cut",
4595 "pause",
4596 "nope",
4597 "nah",
4598 "nevermind",
4599 "never",
4600 "bad",
4601 "actually"
4602 ]
4603 },
4604 "monitorPlan": {
4605 "listenEnabled": false,
4606 "listenAuthenticationEnabled": false,
4607 "controlEnabled": false,
4608 "controlAuthenticationEnabled": false,
4609 "monitorIds": [
4610 "123e4567-e89b-12d3-a456-426614174000"
4611 ]
4612 },
4613 "credentialIds": [
4614 "string"
4615 ],
4616 "server": {
4617 "timeoutSeconds": 20,
4618 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
4619 "staticIpAddressesEnabled": false,
4620 "encryptedPaths": [
4621 "string"
4622 ],
4623 "url": "string",
4624 "headers": {},
4625 "backoffPlan": {
4626 "type": "fixed",
4627 "maxRetries": 0,
4628 "baseDelaySeconds": 1,
4629 "excludedStatusCodes": [
4630 400,
4631 401,
4632 403,
4633 404
4634 ]
4635 }
4636 },
4637 "keypadInputPlan": {
4638 "enabled": true,
4639 "timeoutSeconds": 1.1,
4640 "delimiters": "#"
4641 }
4642 },
4643 "workflowId": "string",
4644 "workflow": {
4645 "nodes": [
4646 {
4647 "type": "conversation",
4648 "model": {
4649 "provider": "openai",
4650 "model": "gpt-5.4",
4651 "temperature": 1.1,
4652 "maxTokens": 5030
4653 },
4654 "transcriber": {
4655 "provider": "assembly-ai",
4656 "language": "multi",
4657 "confidenceThreshold": 0.4,
4658 "formatTurns": true,
4659 "endOfTurnConfidenceThreshold": 0.7,
4660 "minEndOfTurnSilenceWhenConfident": 160,
4661 "wordFinalizationMaxWaitTime": 160,
4662 "maxTurnSilence": 400,
4663 "vadAssistedEndpointingEnabled": true,
4664 "speechModel": "universal-streaming-english",
4665 "realtimeUrl": "string",
4666 "wordBoost": [
4667 "string"
4668 ],
4669 "keytermsPrompt": [
4670 "string"
4671 ],
4672 "endUtteranceSilenceThreshold": 1.1,
4673 "disablePartialTranscripts": true,
4674 "fallbackPlan": {
4675 "transcribers": [
4676 {
4677 "provider": "assembly-ai",
4678 "language": "multi",
4679 "confidenceThreshold": 0.4,
4680 "formatTurns": true,
4681 "endOfTurnConfidenceThreshold": 0.7,
4682 "minEndOfTurnSilenceWhenConfident": 160,
4683 "wordFinalizationMaxWaitTime": 160,
4684 "maxTurnSilence": 400,
4685 "vadAssistedEndpointingEnabled": true,
4686 "speechModel": "universal-streaming-english",
4687 "realtimeUrl": "string",
4688 "wordBoost": [
4689 "string"
4690 ],
4691 "keytermsPrompt": [
4692 "string"
4693 ],
4694 "endUtteranceSilenceThreshold": 1.1,
4695 "disablePartialTranscripts": true
4696 }
4697 ]
4698 }
4699 },
4700 "voice": {
4701 "cachingEnabled": true,
4702 "provider": "azure",
4703 "voiceId": "andrew",
4704 "chunkPlan": {
4705 "enabled": true,
4706 "minCharacters": 30,
4707 "punctuationBoundaries": "。",
4708 "formatPlan": {
4709 "enabled": true,
4710 "numberToDigitsCutoff": 2025,
4711 "replacements": [
4712 {}
4713 ],
4714 "formattersEnabled": "markdown"
4715 }
4716 },
4717 "speed": 1.1,
4718 "fallbackPlan": {
4719 "voices": [
4720 {
4721 "cachingEnabled": true,
4722 "provider": "azure",
4723 "voiceId": "andrew",
4724 "speed": 1.1,
4725 "chunkPlan": {},
4726 "oneOf": null
4727 }
4728 ]
4729 }
4730 },
4731 "tools": [
4732 {
4733 "messages": [
4734 {
4735 "contents": [
4736 {
4737 "type": "text",
4738 "text": "string",
4739 "language": "aa"
4740 }
4741 ],
4742 "type": "request-start",
4743 "blocking": false,
4744 "content": "string",
4745 "conditions": [
4746 {
4747 "operator": "eq",
4748 "param": "string",
4749 "value": "string"
4750 }
4751 ]
4752 }
4753 ],
4754 "type": "apiRequest",
4755 "method": "POST",
4756 "timeoutSeconds": 20,
4757 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
4758 "encryptedPaths": [
4759 "string"
4760 ],
4761 "parameters": [
4762 {
4763 "key": "string",
4764 "value": {}
4765 }
4766 ],
4767 "name": "string",
4768 "description": "string",
4769 "url": "string",
4770 "body": {
4771 "type": "string",
4772 "items": {},
4773 "properties": {},
4774 "description": "string",
4775 "pattern": "string",
4776 "format": "date-time",
4777 "required": [
4778 "string"
4779 ],
4780 "enum": [
4781 "string"
4782 ],
4783 "title": "string"
4784 },
4785 "headers": {
4786 "type": "string",
4787 "items": {},
4788 "properties": {},
4789 "description": "string",
4790 "pattern": "string",
4791 "format": "date-time",
4792 "required": [
4793 "string"
4794 ],
4795 "enum": [
4796 "string"
4797 ],
4798 "title": "string"
4799 },
4800 "backoffPlan": {
4801 "type": "fixed",
4802 "maxRetries": 0,
4803 "baseDelaySeconds": 1,
4804 "excludedStatusCodes": [
4805 400,
4806 401,
4807 403,
4808 404
4809 ]
4810 },
4811 "variableExtractionPlan": {
4812 "schema": {
4813 "type": "string",
4814 "items": {},
4815 "properties": {},
4816 "description": "string",
4817 "pattern": "string",
4818 "format": "date-time",
4819 "required": [
4820 "string"
4821 ],
4822 "enum": [
4823 "string"
4824 ],
4825 "title": "string"
4826 },
4827 "aliases": [
4828 {
4829 "key": "string",
4830 "value": "string"
4831 }
4832 ]
4833 },
4834 "rejectionPlan": {
4835 "conditions": [
4836 {
4837 "type": "regex",
4838 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
4839 }
4840 ]
4841 }
4842 }
4843 ],
4844 "toolIds": [
4845 "string"
4846 ],
4847 "prompt": "string",
4848 "globalNodePlan": {
4849 "enabled": false,
4850 "enterCondition": ""
4851 },
4852 "variableExtractionPlan": {
4853 "schema": {
4854 "type": "string",
4855 "items": {},
4856 "properties": {},
4857 "description": "string",
4858 "pattern": "string",
4859 "format": "date-time",
4860 "required": [
4861 "string"
4862 ],
4863 "enum": [
4864 "string"
4865 ],
4866 "title": "string"
4867 },
4868 "aliases": [
4869 {
4870 "key": "string",
4871 "value": "string"
4872 }
4873 ]
4874 },
4875 "name": "string",
4876 "isStart": true,
4877 "metadata": {}
4878 }
4879 ],
4880 "model": {
4881 "provider": "openai",
4882 "model": "gpt-5.4",
4883 "temperature": 1.1,
4884 "maxTokens": 5030
4885 },
4886 "transcriber": {
4887 "provider": "assembly-ai",
4888 "language": "multi",
4889 "confidenceThreshold": 0.4,
4890 "formatTurns": true,
4891 "endOfTurnConfidenceThreshold": 0.7,
4892 "minEndOfTurnSilenceWhenConfident": 160,
[...]
